default['win11STIG']['XCCDF_result']['Manage'] = true

# R-253275 WN11-00-000100
default['win11STIG']['stigrule_253275']['Manage'] = true
default['win11STIG']['stigrule_253275']['Title'] = "Internet Information System (IIS) or its subcomponents must not be installed on a workstation."
default['win11STIG']['stigrule_253275']['Severity'] = 'high'
default['win11STIG']['stigrule_253275']['Setting']['IIS_WebServerRole_Ensure'] = :remove

default['win11STIG']['stigrule_253275']['Setting']['IIS_HostableWebCore_Ensure'] = :remove

# R-253277 WN11-00-000110
default['win11STIG']['stigrule_253277']['Manage'] = true
default['win11STIG']['stigrule_253277']['Title'] = "Simple TCP/IP Services must not be installed on the system."
default['win11STIG']['stigrule_253277']['Severity'] = 'medium'
default['win11STIG']['stigrule_253277']['Setting']['SimpleTCP_Ensure'] = :remove

# R-253278 WN11-00-000115
default['win11STIG']['stigrule_253278']['Manage'] = true
default['win11STIG']['stigrule_253278']['Title'] = "The Telnet Client must not be installed on the system."
default['win11STIG']['stigrule_253278']['Severity'] = 'medium'
default['win11STIG']['stigrule_253278']['Setting']['TelnetClient_Ensure'] = :remove

# R-253279 WN11-00-000120
default['win11STIG']['stigrule_253279']['Manage'] = true
default['win11STIG']['stigrule_253279']['Title'] = "The TFTP Client must not be installed on the system."
default['win11STIG']['stigrule_253279']['Severity'] = 'medium'
default['win11STIG']['stigrule_253279']['Setting']['TFTP_Ensure'] = :remove

# R-253285 WN11-00-000155
default['win11STIG']['stigrule_253285']['Manage'] = true
default['win11STIG']['stigrule_253285']['Title'] = "The Windows PowerShell 2.0 feature must be disabled on the system."
default['win11STIG']['stigrule_253285']['Severity'] = 'medium'
default['win11STIG']['stigrule_253285']['Setting']['MicrosoftWindowsPowerShellV2_Ensure'] = :remove

default['win11STIG']['stigrule_253285']['Setting']['MicrosoftWindowsPowerShellV2Root_Ensure'] = :remove

# R-253286 WN11-00-000160
default['win11STIG']['stigrule_253286']['Manage'] = true
default['win11STIG']['stigrule_253286']['Title'] = "The Server Message Block (SMB) v1 protocol must be disabled on the system."
default['win11STIG']['stigrule_253286']['Severity'] = 'medium'
default['win11STIG']['stigrule_253286']['Setting']['SMB1Protocol_Ensure'] = :remove

# R-253287 WN11-00-000165
default['win11STIG']['stigrule_253287']['Manage'] = true
default['win11STIG']['stigrule_253287']['Title'] = "The Server Message Block (SMB) v1 protocol must be disabled on the SMB server."
default['win11STIG']['stigrule_253287']['Severity'] = 'medium'
default['win11STIG']['stigrule_253287']['Setting']['SMB1_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\LanmanServer\Parameters'
default['win11STIG']['stigrule_253287']['Setting']['SMB1_ValueType'] = :dword
default['win11STIG']['stigrule_253287']['Setting']['SMB1_ValueData'] = '0'
default['win11STIG']['stigrule_253287']['Setting']['SMB1_Ensure'] = :create

# R-253289 WN11-00-000175
default['win11STIG']['stigrule_253289']['Manage'] = true
default['win11STIG']['stigrule_253289']['Title'] = "The Secondary Logon service must be disabled on Windows 11."
default['win11STIG']['stigrule_253289']['Severity'] = 'medium'
default['win11STIG']['stigrule_253289']['Setting']['Secondary_Logon_ServiceName'] = 'seclogon'
default['win11STIG']['stigrule_253289']['Setting']['Secondary_Logon_Action'] = :disable

# R-253297 WN11-AC-000005
default['win11STIG']['stigrule_253297']['Manage'] = true
default['win11STIG']['stigrule_253297']['Title'] = "Windows 11 account lockout duration must be configured to 15 minutes or greater."
default['win11STIG']['stigrule_253297']['Severity'] = 'medium'
default['win11STIG']['stigrule_253297']['Setting']['Account_lockout_duration_Secoption'] = 'LockoutDuration'
default['win11STIG']['stigrule_253297']['Setting']['Account_lockout_duration_Secvalue'] = '15'

# R-253298 WN11-AC-000010
default['win11STIG']['stigrule_253298']['Manage'] = true
default['win11STIG']['stigrule_253298']['Title'] = "The number of allowed bad logon attempts must be configured to three or less."
default['win11STIG']['stigrule_253298']['Severity'] = 'medium'
default['win11STIG']['stigrule_253298']['Setting']['Account_lockout_threshold_Secoption'] = 'LockoutBadCount'
default['win11STIG']['stigrule_253298']['Setting']['Account_lockout_threshold_Secvalue'] = '3'

# R-253299 WN11-AC-000015
default['win11STIG']['stigrule_253299']['Manage'] = true
default['win11STIG']['stigrule_253299']['Title'] = "The period of time before the bad logon counter is reset must be configured to 15 minutes."
default['win11STIG']['stigrule_253299']['Severity'] = 'medium'
default['win11STIG']['stigrule_253299']['Setting']['Reset_account_lockout_counter_after_Secoption'] = 'ResetLockoutCount'
default['win11STIG']['stigrule_253299']['Setting']['Reset_account_lockout_counter_after_Secvalue'] = '15'

# R-253300 WN11-AC-000020
default['win11STIG']['stigrule_253300']['Manage'] = true
default['win11STIG']['stigrule_253300']['Title'] = "The password history must be configured to 24 passwords remembered."
default['win11STIG']['stigrule_253300']['Severity'] = 'medium'
default['win11STIG']['stigrule_253300']['Setting']['Enforce_password_history_Secoption'] = 'PasswordHistorySize'
default['win11STIG']['stigrule_253300']['Setting']['Enforce_password_history_Secvalue'] = '24'

# R-253301 WN11-AC-000025
default['win11STIG']['stigrule_253301']['Manage'] = true
default['win11STIG']['stigrule_253301']['Title'] = "The maximum password age must be configured to 60 days or less."
default['win11STIG']['stigrule_253301']['Severity'] = 'medium'
default['win11STIG']['stigrule_253301']['Setting']['Maximum_Password_Age_Secoption'] = 'MaximumPasswordAge'
default['win11STIG']['stigrule_253301']['Setting']['Maximum_Password_Age_Secvalue'] = '60'

# R-253302 WN11-AC-000030
default['win11STIG']['stigrule_253302']['Manage'] = true
default['win11STIG']['stigrule_253302']['Title'] = "The minimum password age must be configured to at least 1 day."
default['win11STIG']['stigrule_253302']['Severity'] = 'medium'
default['win11STIG']['stigrule_253302']['Setting']['Minimum_Password_Age_Secoption'] = 'MinimumPasswordAge'
default['win11STIG']['stigrule_253302']['Setting']['Minimum_Password_Age_Secvalue'] = '1'

# R-253303 WN11-AC-000035
default['win11STIG']['stigrule_253303']['Manage'] = true
default['win11STIG']['stigrule_253303']['Title'] = "Passwords must, at a minimum, be 14 characters."
default['win11STIG']['stigrule_253303']['Severity'] = 'medium'
default['win11STIG']['stigrule_253303']['Setting']['Minimum_password_length_Secoption'] = 'MinimumPasswordLength'
default['win11STIG']['stigrule_253303']['Setting']['Minimum_password_length_Secvalue'] = '14'

# R-253304 WN11-AC-000040
default['win11STIG']['stigrule_253304']['Manage'] = true
default['win11STIG']['stigrule_253304']['Title'] = "The built-in Microsoft password complexity filter must be enabled."
default['win11STIG']['stigrule_253304']['Severity'] = 'medium'
default['win11STIG']['stigrule_253304']['Setting']['Password_must_meet_complexity_requirements_Secoption'] = 'PasswordComplexity'
default['win11STIG']['stigrule_253304']['Setting']['Password_must_meet_complexity_requirements_Secvalue'] = '1'

# R-253305 WN11-AC-000045
default['win11STIG']['stigrule_253305']['Manage'] = true
default['win11STIG']['stigrule_253305']['Title'] = "Reversible password encryption must be disabled."
default['win11STIG']['stigrule_253305']['Severity'] = 'high'
default['win11STIG']['stigrule_253305']['Setting']['Store_password_using_reversible_encryption_Secoption'] = 'ClearTextPassword'
default['win11STIG']['stigrule_253305']['Setting']['Store_password_using_reversible_encryption_Secvalue'] = '0'

# R-253306 WN11-AU-000005
default['win11STIG']['stigrule_253306']['Manage'] = true
default['win11STIG']['stigrule_253306']['Title'] = "The system must be configured to audit Account Logon - Credential Validation failures."
default['win11STIG']['stigrule_253306']['Severity'] = 'medium'
default['win11STIG']['stigrule_253306']['Setting']['Credential_Validation_failures_Subcategory'] = 'Credential Validation'
default['win11STIG']['stigrule_253306']['Setting']['Credential_Validation_failures_Success'] = true
default['win11STIG']['stigrule_253306']['Setting']['Credential_Validation_failures_Failure'] = true

# R-253307 WN11-AU-000010
default['win11STIG']['stigrule_253307']['Manage'] = true
default['win11STIG']['stigrule_253307']['Title'] = "The system must be configured to audit Account Logon - Credential Validation successes."
default['win11STIG']['stigrule_253307']['Severity'] = 'medium'
default['win11STIG']['stigrule_253307']['Setting']['Credential_Validation_successes_Subcategory'] = 'Credential Validation'
default['win11STIG']['stigrule_253307']['Setting']['Credential_Validation_successes_Success'] = true
default['win11STIG']['stigrule_253307']['Setting']['Credential_Validation_successes_Failure'] = true

# R-253308 WN11-AU-000030
default['win11STIG']['stigrule_253308']['Manage'] = true
default['win11STIG']['stigrule_253308']['Title'] = "The system must be configured to audit Account Management - Security Group Management successes."
default['win11STIG']['stigrule_253308']['Severity'] = 'medium'
default['win11STIG']['stigrule_253308']['Setting']['User_Account_Management_successes_Subcategory'] = 'User Account Management'
default['win11STIG']['stigrule_253308']['Setting']['User_Account_Management_successes_Success'] = true

# R-253310 WN11-AU-000040
default['win11STIG']['stigrule_253310']['Manage'] = true
default['win11STIG']['stigrule_253310']['Title'] = "The system must be configured to audit Account Management - User Account Management successes."
default['win11STIG']['stigrule_253310']['Severity'] = 'medium'
default['win11STIG']['stigrule_253310']['Setting']['User_Account_Management_successes_Subcategory'] = 'User Account Management'
default['win11STIG']['stigrule_253310']['Setting']['User_Account_Management_successes_Success'] = true
default['win11STIG']['stigrule_253310']['Setting']['User_Account_Management_successes_Failure'] = true

# R-253309 WN11-AU-000035
default['win11STIG']['stigrule_253309']['Manage'] = true
default['win11STIG']['stigrule_253309']['Title'] = "The system must be configured to audit Account Management - User Account Management failures."
default['win11STIG']['stigrule_253309']['Severity'] = 'medium'
default['win11STIG']['stigrule_253309']['Setting']['User_Account_Management_failures_Subcategory'] = 'User Account Management'
default['win11STIG']['stigrule_253309']['Setting']['User_Account_Management_failures_Success'] = true
default['win11STIG']['stigrule_253309']['Setting']['User_Account_Management_failures_Failure'] = true

# R-253311 WN11-AU-000045
default['win11STIG']['stigrule_253311']['Manage'] = true
default['win11STIG']['stigrule_253311']['Title'] = "The system must be configured to audit Detailed Tracking - PNP Activity successes."
default['win11STIG']['stigrule_253311']['Severity'] = 'medium'
default['win11STIG']['stigrule_253311']['Setting']['PNP_Activity_successes_Subcategory'] = 'Plug and Play Events'
default['win11STIG']['stigrule_253311']['Setting']['PNP_Activity_successes_Success'] = true

# R-253312 WN11-AU-000050
default['win11STIG']['stigrule_253312']['Manage'] = true
default['win11STIG']['stigrule_253312']['Title'] = "The system must be configured to audit Detailed Tracking - Process Creation successes."
default['win11STIG']['stigrule_253312']['Severity'] = 'medium'
default['win11STIG']['stigrule_253312']['Setting']['Process_Creation_successes_Subcategory'] = 'Process Creation'
default['win11STIG']['stigrule_253312']['Setting']['Process_Creation_successes_Success'] = true

# R-253313 WN11-AU-000054
default['win11STIG']['stigrule_253313']['Manage'] = true
default['win11STIG']['stigrule_253313']['Title'] = "The system must be configured to audit Logon/Logoff - Account Lockout failures."
default['win11STIG']['stigrule_253313']['Severity'] = 'medium'
default['win11STIG']['stigrule_253313']['Setting']['Account_Lockout_failures_Subcategory'] = 'Account Lockout'
default['win11STIG']['stigrule_253313']['Setting']['Account_Lockout_failures_Failure'] = true

# R-253314 WN11-AU-000060
default['win11STIG']['stigrule_253314']['Manage'] = true
default['win11STIG']['stigrule_253314']['Title'] = "The system must be configured to audit Logon/Logoff - Group Membership successes."
default['win11STIG']['stigrule_253314']['Severity'] = 'medium'
default['win11STIG']['stigrule_253314']['Setting']['Group_Membership_successes_Subcategory'] = 'Group Membership'
default['win11STIG']['stigrule_253314']['Setting']['Group_Membership_successes_Success'] = true

# R-253315 WN11-AU-000065
default['win11STIG']['stigrule_253315']['Manage'] = true
default['win11STIG']['stigrule_253315']['Title'] = "The system must be configured to audit Logon/Logoff - Logoff successes."
default['win11STIG']['stigrule_253315']['Severity'] = 'medium'
default['win11STIG']['stigrule_253315']['Setting']['Logoff_successes_Subcategory'] = 'Logoff'
default['win11STIG']['stigrule_253315']['Setting']['Logoff_successes_Success'] = true

# R-253316 WN11-AU-000070
default['win11STIG']['stigrule_253316']['Manage'] = true
default['win11STIG']['stigrule_253316']['Title'] = "The system must be configured to audit Logon/Logoff - Logon failures."
default['win11STIG']['stigrule_253316']['Severity'] = 'medium'
default['win11STIG']['stigrule_253316']['Setting']['Logon_failures_Subcategory'] = 'Logon'
default['win11STIG']['stigrule_253316']['Setting']['Logon_failures_Success'] = true
default['win11STIG']['stigrule_253316']['Setting']['Logon_failures_Failure'] = true

# R-253317 WN11-AU-000075
default['win11STIG']['stigrule_253317']['Manage'] = true
default['win11STIG']['stigrule_253317']['Title'] = "The system must be configured to audit Logon/Logoff - Logon successes."
default['win11STIG']['stigrule_253317']['Severity'] = 'medium'
default['win11STIG']['stigrule_253317']['Setting']['Logon_successes_Subcategory'] = 'Logon'
default['win11STIG']['stigrule_253317']['Setting']['Logon_successes_Success'] = true
default['win11STIG']['stigrule_253317']['Setting']['Logon_successes_Failure'] = true

# R-253318 WN11-AU-000080
default['win11STIG']['stigrule_253318']['Manage'] = true
default['win11STIG']['stigrule_253318']['Title'] = "The system must be configured to audit Logon/Logoff - Special Logon successes."
default['win11STIG']['stigrule_253318']['Severity'] = 'medium'
default['win11STIG']['stigrule_253318']['Setting']['Special_Logon_successes_Subcategory'] = 'Special Logon'
default['win11STIG']['stigrule_253318']['Setting']['Special_Logon_successes_Success'] = true

# R-253319 WN11-AU-000081
default['win11STIG']['stigrule_253319']['Manage'] = true
default['win11STIG']['stigrule_253319']['Title'] = "Windows 11 must be configured to audit Object Access - File Share failures."
default['win11STIG']['stigrule_253319']['Severity'] = 'medium'
default['win11STIG']['stigrule_253319']['Setting']['File_Share_failures_Subcategory'] = 'File Share'
default['win11STIG']['stigrule_253319']['Setting']['File_Share_failures_Success'] = true
default['win11STIG']['stigrule_253319']['Setting']['File_Share_failures_Failure'] = true

# R-253320 WN11-AU-000082
default['win11STIG']['stigrule_253320']['Manage'] = true
default['win11STIG']['stigrule_253320']['Title'] = "Windows 11 must be configured to audit Object Access - File Share successes."
default['win11STIG']['stigrule_253320']['Severity'] = 'medium'
default['win11STIG']['stigrule_253320']['Setting']['File_Share_successes_Subcategory'] = 'File Share'
default['win11STIG']['stigrule_253320']['Setting']['File_Share_successes_Success'] = true
default['win11STIG']['stigrule_253320']['Setting']['File_Share_successes_Failure'] = true

# R-253321 WN11-AU-000083
default['win11STIG']['stigrule_253321']['Manage'] = true
default['win11STIG']['stigrule_253321']['Title'] = "Windows 11 must be configured to audit Object Access - Other Object Access Events successes."
default['win11STIG']['stigrule_253321']['Severity'] = 'medium'
default['win11STIG']['stigrule_253321']['Setting']['Other_Object_Access_Events_successes_Subcategory'] = 'Other Object Access Events'
default['win11STIG']['stigrule_253321']['Setting']['Other_Object_Access_Events_successes_Success'] = true
default['win11STIG']['stigrule_253321']['Setting']['Other_Object_Access_Events_successes_Failure'] = true

# R-253322 WN11-AU-000084
default['win11STIG']['stigrule_253322']['Manage'] = true
default['win11STIG']['stigrule_253322']['Title'] = "Windows 11 must be configured to audit Object Access - Other Object Access Events failures."
default['win11STIG']['stigrule_253322']['Severity'] = 'medium'
default['win11STIG']['stigrule_253322']['Setting']['Other_Object_Access_Events_failures_Subcategory'] = 'Other Object Access Events'
default['win11STIG']['stigrule_253322']['Setting']['Other_Object_Access_Events_failures_Success'] = true
default['win11STIG']['stigrule_253322']['Setting']['Other_Object_Access_Events_failures_Failure'] = true

# R-253323 WN11-AU-000085
default['win11STIG']['stigrule_253323']['Manage'] = true
default['win11STIG']['stigrule_253323']['Title'] = "The system must be configured to audit Object Access - Removable Storage failures."
default['win11STIG']['stigrule_253323']['Severity'] = 'medium'
default['win11STIG']['stigrule_253323']['Setting']['Removable_Storage_failures_Subcategory'] = 'Removable Storage'
default['win11STIG']['stigrule_253323']['Setting']['Removable_Storage_failures_Success'] = true
default['win11STIG']['stigrule_253323']['Setting']['Removable_Storage_failures_Failure'] = true

# R-253324 WN11-AU-000090
default['win11STIG']['stigrule_253324']['Manage'] = true
default['win11STIG']['stigrule_253324']['Title'] = "The system must be configured to audit Object Access - Removable Storage successes."
default['win11STIG']['stigrule_253324']['Severity'] = 'medium'
default['win11STIG']['stigrule_253324']['Setting']['Removable_Storage_successes_Subcategory'] = 'Removable Storage'
default['win11STIG']['stigrule_253324']['Setting']['Removable_Storage_successes_Success'] = true
default['win11STIG']['stigrule_253324']['Setting']['Removable_Storage_successes_Failure'] = true

# R-253325 WN11-AU-000100
default['win11STIG']['stigrule_253325']['Manage'] = true
default['win11STIG']['stigrule_253325']['Title'] = "The system must be configured to audit Policy Change - Audit Policy Change successes."
default['win11STIG']['stigrule_253325']['Severity'] = 'medium'
default['win11STIG']['stigrule_253325']['Setting']['Audit_Policy_Change_successes_Subcategory'] = 'Audit Policy Change'
default['win11STIG']['stigrule_253325']['Setting']['Audit_Policy_Change_successes_Success'] = true

# R-253326 WN11-AU-000105
default['win11STIG']['stigrule_253326']['Manage'] = true
default['win11STIG']['stigrule_253326']['Title'] = "The system must be configured to audit Policy Change - Authentication Policy Change successes."
default['win11STIG']['stigrule_253326']['Severity'] = 'medium'
default['win11STIG']['stigrule_253326']['Setting']['Authentication_Policy_Change_successes_Subcategory'] = 'Authentication Policy Change'
default['win11STIG']['stigrule_253326']['Setting']['Authentication_Policy_Change_successes_Success'] = true

# R-253327 WN11-AU-000107
default['win11STIG']['stigrule_253327']['Manage'] = true
default['win11STIG']['stigrule_253327']['Title'] = "The system must be configured to audit Policy Change - Authorization Policy Change successes."
default['win11STIG']['stigrule_253327']['Severity'] = 'medium'
default['win11STIG']['stigrule_253327']['Setting']['Authorization_Policy_Change_successes_Subcategory'] = 'Authorization Policy Change'
default['win11STIG']['stigrule_253327']['Setting']['Authorization_Policy_Change_successes_Success'] = true

# R-253328 WN11-AU-000110
default['win11STIG']['stigrule_253328']['Manage'] = true
default['win11STIG']['stigrule_253328']['Title'] = "The system must be configured to audit Privilege Use - Sensitive Privilege Use failures."
default['win11STIG']['stigrule_253328']['Severity'] = 'medium'
default['win11STIG']['stigrule_253328']['Setting']['Sensitive_Privilege_Use_failures_Subcategory'] = 'Sensitive Privilege Use'
default['win11STIG']['stigrule_253328']['Setting']['Sensitive_Privilege_Use_failures_Success'] = true
default['win11STIG']['stigrule_253328']['Setting']['Sensitive_Privilege_Use_failures_Failure'] = true

# R-253329 WN11-AU-000115
default['win11STIG']['stigrule_253329']['Manage'] = true
default['win11STIG']['stigrule_253329']['Title'] = "The system must be configured to audit Privilege Use - Sensitive Privilege Use successes."
default['win11STIG']['stigrule_253329']['Severity'] = 'medium'
default['win11STIG']['stigrule_253329']['Setting']['Sensitive_Privilege_Use_successes_Subcategory'] = 'Sensitive Privilege Use'
default['win11STIG']['stigrule_253329']['Setting']['Sensitive_Privilege_Use_successes_Success'] = true
default['win11STIG']['stigrule_253329']['Setting']['Sensitive_Privilege_Use_successes_Failure'] = true

# R-253330 WN11-AU-000120
default['win11STIG']['stigrule_253330']['Manage'] = true
default['win11STIG']['stigrule_253330']['Title'] = "The system must be configured to audit System - IPsec Driver failures."
default['win11STIG']['stigrule_253330']['Severity'] = 'medium'
default['win11STIG']['stigrule_253330']['Setting']['IPsec_Driver_failures_Subcategory'] = 'IPsec Driver'
default['win11STIG']['stigrule_253330']['Setting']['IPsec_Driver_failures_Failure'] = true

# R-253331 WN11-AU-000130
default['win11STIG']['stigrule_253331']['Manage'] = true
default['win11STIG']['stigrule_253331']['Title'] = "The system must be configured to audit System - Other System Events successes."
default['win11STIG']['stigrule_253331']['Severity'] = 'medium'
default['win11STIG']['stigrule_253331']['Setting']['Other_System_Events_successes_Subcategory'] = 'Other System Events'
default['win11STIG']['stigrule_253331']['Setting']['Other_System_Events_successes_Success'] = true
default['win11STIG']['stigrule_253331']['Setting']['Other_System_Events_successes_Failure'] = true

# R-253332 WN11-AU-000135
default['win11STIG']['stigrule_253332']['Manage'] = true
default['win11STIG']['stigrule_253332']['Title'] = "The system must be configured to audit System - Other System Events failures."
default['win11STIG']['stigrule_253332']['Severity'] = 'medium'
default['win11STIG']['stigrule_253332']['Setting']['Other_System_Events_failures_Subcategory'] = 'Other System Events'
default['win11STIG']['stigrule_253332']['Setting']['Other_System_Events_failures_Success'] = true
default['win11STIG']['stigrule_253332']['Setting']['Other_System_Events_failures_Failure'] = true

# R-253333 WN11-AU-000140
default['win11STIG']['stigrule_253333']['Manage'] = true
default['win11STIG']['stigrule_253333']['Title'] = "The system must be configured to audit System - Security State Change successes."
default['win11STIG']['stigrule_253333']['Severity'] = 'medium'
default['win11STIG']['stigrule_253333']['Setting']['Security_State_Change_successes_Subcategory'] = 'Security State Change'
default['win11STIG']['stigrule_253333']['Setting']['Security_State_Change_successes_Success'] = true

# R-253334 WN11-AU-000150
default['win11STIG']['stigrule_253334']['Manage'] = true
default['win11STIG']['stigrule_253334']['Title'] = "The system must be configured to audit System - Security System Extension successes."
default['win11STIG']['stigrule_253334']['Severity'] = 'medium'
default['win11STIG']['stigrule_253334']['Setting']['Security_System_Extension_successes_Subcategory'] = 'Security System Extension'
default['win11STIG']['stigrule_253334']['Setting']['Security_System_Extension_successes_Success'] = true

# R-253335 WN11-AU-000155
default['win11STIG']['stigrule_253335']['Manage'] = true
default['win11STIG']['stigrule_253335']['Title'] = "The system must be configured to audit System - System Integrity failures."
default['win11STIG']['stigrule_253335']['Severity'] = 'medium'
default['win11STIG']['stigrule_253335']['Setting']['System_Integrity_failures_Subcategory'] = 'System Integrity'
default['win11STIG']['stigrule_253335']['Setting']['System_Integrity_failures_Success'] = true
default['win11STIG']['stigrule_253335']['Setting']['System_Integrity_failures_Failure'] = true

# R-253336 WN11-AU-000160
default['win11STIG']['stigrule_253336']['Manage'] = true
default['win11STIG']['stigrule_253336']['Title'] = "The system must be configured to audit System - System Integrity successes."
default['win11STIG']['stigrule_253336']['Severity'] = 'medium'
default['win11STIG']['stigrule_253336']['Setting']['System_Integrity_successes_Subcategory'] = 'System Integrity'
default['win11STIG']['stigrule_253336']['Setting']['System_Integrity_successes_Success'] = true
default['win11STIG']['stigrule_253336']['Setting']['System_Integrity_successes_Failure'] = true

# R-253337 WN11-AU-000500
default['win11STIG']['stigrule_253337']['Manage'] = true
default['win11STIG']['stigrule_253337']['Title'] = "The Application event log size must be configured to 32768 KB or greater."
default['win11STIG']['stigrule_253337']['Severity'] = 'medium'
default['win11STIG']['stigrule_253337']['Setting']['MaxSize_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\EventLog\Application'
default['win11STIG']['stigrule_253337']['Setting']['MaxSize_ValueType'] = :dword
default['win11STIG']['stigrule_253337']['Setting']['MaxSize_ValueData'] = '32768'
default['win11STIG']['stigrule_253337']['Setting']['MaxSize_Ensure'] = :create

# R-253338 WN11-AU-000505
default['win11STIG']['stigrule_253338']['Manage'] = true
default['win11STIG']['stigrule_253338']['Title'] = "The Security event log size must be configured to 1024000 KB or greater."
default['win11STIG']['stigrule_253338']['Severity'] = 'medium'
default['win11STIG']['stigrule_253338']['Setting']['MaxSize_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\EventLog\Security'
default['win11STIG']['stigrule_253338']['Setting']['MaxSize_ValueType'] = :dword
default['win11STIG']['stigrule_253338']['Setting']['MaxSize_ValueData'] = '1024000'
default['win11STIG']['stigrule_253338']['Setting']['MaxSize_Ensure'] = :create

# R-253339 WN11-AU-000510
default['win11STIG']['stigrule_253339']['Manage'] = true
default['win11STIG']['stigrule_253339']['Title'] = "The System event log size must be configured to 32768 KB or greater."
default['win11STIG']['stigrule_253339']['Severity'] = 'medium'
default['win11STIG']['stigrule_253339']['Setting']['MaxSize_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\EventLog\System'
default['win11STIG']['stigrule_253339']['Setting']['MaxSize_ValueType'] = :dword
default['win11STIG']['stigrule_253339']['Setting']['MaxSize_ValueData'] = '32768'
default['win11STIG']['stigrule_253339']['Setting']['MaxSize_Ensure'] = :create

# R-253340 WN11-AU-000515
default['win11STIG']['stigrule_253340']['Manage'] = true
default['win11STIG']['stigrule_253340']['Title'] = "Windows 11 permissions for the Application event log must prevent access by non-privileged accounts."
default['win11STIG']['stigrule_253340']['Severity'] = 'medium'
default['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Path'] = 'C:\Windows\System32\winevt\Logs\Application.evtx'
default['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Inherits'] = false
default['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Permission_1'] = :full_control
default['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Principal_1'] = 'NT SERVICE\EventLog'
default['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Permission_2'] = :full_control
default['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Principal_2'] = 'SYSTEM'
default['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Permission_3'] = :full_control
default['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Principal_3'] = 'Administrators'

# R-253341 WN11-AU-000520
default['win11STIG']['stigrule_253341']['Manage'] = true
default['win11STIG']['stigrule_253341']['Title'] = "Windows 11 permissions for the Security event log must prevent access by non-privileged accounts."
default['win11STIG']['stigrule_253341']['Severity'] = 'medium'
default['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Path'] = 'C:\Windows\System32\winevt\Logs\Security.evtx'
default['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Inherits'] = false
default['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Permission_1'] = :full_control
default['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Principal_1'] = 'NT SERVICE\EventLog'
default['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Permission_2'] = :full_control
default['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Principal_2'] = 'SYSTEM'
default['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Permission_3'] = :full_control
default['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Principal_3'] = 'Administrators'

# R-253342 WN11-AU-000525
default['win11STIG']['stigrule_253342']['Manage'] = true
default['win11STIG']['stigrule_253342']['Title'] = "Windows 11 permissions for the System event log must prevent access by non-privileged accounts."
default['win11STIG']['stigrule_253342']['Severity'] = 'medium'
default['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Path'] = 'C:\Windows\System32\winevt\Logs\System.evtx'
default['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Inherits'] = false
default['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Permission_1'] = :full_control
default['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Principal_1'] = 'NT SERVICE\EventLog'
default['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Permission_2'] = :full_control
default['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Principal_2'] = 'SYSTEM'
default['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Permission_3'] = :full_control
default['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Principal_3'] = 'Administrators'

# R-253343 WN11-AU-000550
default['win11STIG']['stigrule_253343']['Manage'] = true
default['win11STIG']['stigrule_253343']['Title'] = "Windows 11 must be configured to audit Other Policy Change Events Successes."
default['win11STIG']['stigrule_253343']['Severity'] = 'medium'
default['win11STIG']['stigrule_253343']['Setting']['Other_Policy_Change_Events_successes_Subcategory'] = 'Other Policy Change Events'
default['win11STIG']['stigrule_253343']['Setting']['Other_Policy_Change_Events_successes_Success'] = true
default['win11STIG']['stigrule_253343']['Setting']['Other_Policy_Change_Events_successes_Failure'] = true

# R-253344 WN11-AU-000555
default['win11STIG']['stigrule_253344']['Manage'] = true
default['win11STIG']['stigrule_253344']['Title'] = "Windows 11 must be configured to audit Other Policy Change Events Failures."
default['win11STIG']['stigrule_253344']['Severity'] = 'medium'
default['win11STIG']['stigrule_253344']['Setting']['Other_Policy_Change_Events_failures_Subcategory'] = 'Other Policy Change Events'
default['win11STIG']['stigrule_253344']['Setting']['Other_Policy_Change_Events_failures_Success'] = true
default['win11STIG']['stigrule_253344']['Setting']['Other_Policy_Change_Events_failures_Failure'] = true

# R-253345 WN11-AU-000560
default['win11STIG']['stigrule_253345']['Manage'] = true
default['win11STIG']['stigrule_253345']['Title'] = "Windows 11 must be configured to audit other Logon/Logoff Events Successes."
default['win11STIG']['stigrule_253345']['Severity'] = 'medium'
default['win11STIG']['stigrule_253345']['Setting']['Other_Logon_Logoff_Events_successes_Subcategory'] = 'Other Logon/Logoff Events'
default['win11STIG']['stigrule_253345']['Setting']['Other_Logon_Logoff_Events_successes_Success'] = true
default['win11STIG']['stigrule_253345']['Setting']['Other_Logon_Logoff_Events_successes_Failure'] = true

# R-253346 WN11-AU-000565
default['win11STIG']['stigrule_253346']['Manage'] = true
default['win11STIG']['stigrule_253346']['Title'] = "Windows 11 must be configured to audit other Logon/Logoff Events Failures."
default['win11STIG']['stigrule_253346']['Severity'] = 'medium'
default['win11STIG']['stigrule_253346']['Setting']['Other_Logon_Logoff_Events_failures_Subcategory'] = 'Other Logon/Logoff Events'
default['win11STIG']['stigrule_253346']['Setting']['Other_Logon_Logoff_Events_failures_Success'] = true
default['win11STIG']['stigrule_253346']['Setting']['Other_Logon_Logoff_Events_failures_Failure'] = true

# R-253347 WN11-AU-000570
default['win11STIG']['stigrule_253347']['Manage'] = true
default['win11STIG']['stigrule_253347']['Title'] = "Windows 11 must be configured to audit Detailed File Share Failures."
default['win11STIG']['stigrule_253347']['Severity'] = 'medium'
default['win11STIG']['stigrule_253347']['Setting']['Detailed_File_Share_failures_Subcategory'] = 'Detailed File Share'
default['win11STIG']['stigrule_253347']['Setting']['Detailed_File_Share_failures_Failure'] = true

# R-253348 WN11-AU-000575
default['win11STIG']['stigrule_253348']['Manage'] = true
default['win11STIG']['stigrule_253348']['Title'] = "Windows 11 must be configured to audit MPSSVC Rule-Level Policy Change Successes."
default['win11STIG']['stigrule_253348']['Severity'] = 'medium'
default['win11STIG']['stigrule_253348']['Setting']['MPSSVC_Rule_Level_Policy_Change_successes_Subcategory'] = 'MPSSVC Rule-Level Policy Change'
default['win11STIG']['stigrule_253348']['Setting']['MPSSVC_Rule_Level_Policy_Change_successes_Success'] = true
default['win11STIG']['stigrule_253348']['Setting']['MPSSVC_Rule_Level_Policy_Change_successes_Failure'] = true

# R-253349 WN11-AU-000580
default['win11STIG']['stigrule_253349']['Manage'] = true
default['win11STIG']['stigrule_253349']['Title'] = "Windows 11 must be configured to audit MPSSVC Rule-Level Policy Change Failures."
default['win11STIG']['stigrule_253349']['Severity'] = 'medium'
default['win11STIG']['stigrule_253349']['Setting']['MPSSVC_Rule_Level_Policy_Change_failures_Subcategory'] = 'MPSSVC Rule-Level Policy Change'
default['win11STIG']['stigrule_253349']['Setting']['MPSSVC_Rule_Level_Policy_Change_failures_Success'] = true
default['win11STIG']['stigrule_253349']['Setting']['MPSSVC_Rule_Level_Policy_Change_failures_Failure'] = true

# R-253352 WN11-CC-000010
default['win11STIG']['stigrule_253352']['Manage'] = true
default['win11STIG']['stigrule_253352']['Title'] = "The display of slide shows on the lock screen must be disabled."
default['win11STIG']['stigrule_253352']['Severity'] = 'medium'
default['win11STIG']['stigrule_253352']['Setting']['NoLockScreenSlideshow_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Personalization'
default['win11STIG']['stigrule_253352']['Setting']['NoLockScreenSlideshow_ValueType'] = :dword
default['win11STIG']['stigrule_253352']['Setting']['NoLockScreenSlideshow_ValueData'] = '1'
default['win11STIG']['stigrule_253352']['Setting']['NoLockScreenSlideshow_Ensure'] = :create

# R-253360 WN11-CC-000040
default['win11STIG']['stigrule_253360']['Manage'] = true
default['win11STIG']['stigrule_253360']['Title'] = "Insecure logons to an SMB server must be disabled."
default['win11STIG']['stigrule_253360']['Severity'] = 'medium'
default['win11STIG']['stigrule_253360']['Setting']['AllowInsecureGuestAuth_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\LanmanWorkstation'
default['win11STIG']['stigrule_253360']['Setting']['AllowInsecureGuestAuth_ValueType'] = :dword
default['win11STIG']['stigrule_253360']['Setting']['AllowInsecureGuestAuth_ValueData'] = '0'
default['win11STIG']['stigrule_253360']['Setting']['AllowInsecureGuestAuth_Ensure'] = :create

# R-253361 WN11-CC-000044
default['win11STIG']['stigrule_253361']['Manage'] = true
default['win11STIG']['stigrule_253361']['Title'] = "Internet connection sharing must be disabled."
default['win11STIG']['stigrule_253361']['Severity'] = 'medium'
default['win11STIG']['stigrule_253361']['Setting']['NC_ShowSharedAccessUI_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Network Connections'
default['win11STIG']['stigrule_253361']['Setting']['NC_ShowSharedAccessUI_ValueType'] = :dword
default['win11STIG']['stigrule_253361']['Setting']['NC_ShowSharedAccessUI_ValueData'] = '0'
default['win11STIG']['stigrule_253361']['Setting']['NC_ShowSharedAccessUI_Ensure'] = :create

# R-253365 WN11-CC-000060
default['win11STIG']['stigrule_253365']['Manage'] = true
default['win11STIG']['stigrule_253365']['Title'] = "Connections to non-domain networks when connected to a domain authenticated network must be blocked."
default['win11STIG']['stigrule_253365']['Severity'] = 'medium'
default['win11STIG']['stigrule_253365']['Setting']['fBlockNonDomain_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WcmSvc\GroupPolicy'
default['win11STIG']['stigrule_253365']['Setting']['fBlockNonDomain_ValueType'] = :dword
default['win11STIG']['stigrule_253365']['Setting']['fBlockNonDomain_ValueData'] = '1'
default['win11STIG']['stigrule_253365']['Setting']['fBlockNonDomain_Ensure'] = :create

# R-253366 WN11-CC-000065
default['win11STIG']['stigrule_253366']['Manage'] = true
default['win11STIG']['stigrule_253366']['Title'] = "Wi-Fi Sense must be disabled."
default['win11STIG']['stigrule_253366']['Severity'] = 'medium'
default['win11STIG']['stigrule_253366']['Setting']['AutoConnectAllowedOEM_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\WcmSvc\wifinetworkmanager\config'
default['win11STIG']['stigrule_253366']['Setting']['AutoConnectAllowedOEM_ValueType'] = :dword
default['win11STIG']['stigrule_253366']['Setting']['AutoConnectAllowedOEM_ValueData'] = '0'
default['win11STIG']['stigrule_253366']['Setting']['AutoConnectAllowedOEM_Ensure'] = :create

# R-253367 WN11-CC-000066
default['win11STIG']['stigrule_253367']['Manage'] = true
default['win11STIG']['stigrule_253367']['Title'] = "Command line data must be included in process creation events."
default['win11STIG']['stigrule_253367']['Severity'] = 'medium'
default['win11STIG']['stigrule_253367']['Setting']['ProcessCreationIncludeCmdLine_Enabled_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System\Audit'
default['win11STIG']['stigrule_253367']['Setting']['ProcessCreationIncludeCmdLine_Enabled_ValueType'] = :dword
default['win11STIG']['stigrule_253367']['Setting']['ProcessCreationIncludeCmdLine_Enabled_ValueData'] = '1'
default['win11STIG']['stigrule_253367']['Setting']['ProcessCreationIncludeCmdLine_Enabled_Ensure'] = :create

# R-253368 WN11-CC-000068
default['win11STIG']['stigrule_253368']['Manage'] = true
default['win11STIG']['stigrule_253368']['Title'] = "Windows 11 must be configured to enable Remote host allows delegation of non-exportable credentials."
default['win11STIG']['stigrule_253368']['Severity'] = 'medium'
default['win11STIG']['stigrule_253368']['Setting']['AllowProtectedCreds_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\CredentialsDelegation'
default['win11STIG']['stigrule_253368']['Setting']['AllowProtectedCreds_ValueType'] = :dword
default['win11STIG']['stigrule_253368']['Setting']['AllowProtectedCreds_ValueData'] = '1'
default['win11STIG']['stigrule_253368']['Setting']['AllowProtectedCreds_Ensure'] = :create

# R-253372 WN11-CC-000085
default['win11STIG']['stigrule_253372']['Manage'] = true
default['win11STIG']['stigrule_253372']['Title'] = "Early Launch Antimalware, Boot-Start Driver Initialization Policy must prevent boot drivers."
default['win11STIG']['stigrule_253372']['Severity'] = 'medium'
default['win11STIG']['stigrule_253372']['Setting']['DriverLoadPolicy_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Policies\EarlyLaunch'
default['win11STIG']['stigrule_253372']['Setting']['DriverLoadPolicy_ValueType'] = :dword
default['win11STIG']['stigrule_253372']['Setting']['DriverLoadPolicy_ValueData'] = '1'
default['win11STIG']['stigrule_253372']['Setting']['DriverLoadPolicy_Ensure'] = :create

# R-253373 WN11-CC-000090
default['win11STIG']['stigrule_253373']['Manage'] = true
default['win11STIG']['stigrule_253373']['Title'] = "Group Policy objects must be reprocessed even if they have not changed."
default['win11STIG']['stigrule_253373']['Severity'] = 'medium'
default['win11STIG']['stigrule_253373']['Setting']['NoGPOListChanges_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Group Policy\{35378EAC-683F-11D2-A89A-00C04FBBCFA2}'
default['win11STIG']['stigrule_253373']['Setting']['NoGPOListChanges_ValueType'] = :dword
default['win11STIG']['stigrule_253373']['Setting']['NoGPOListChanges_ValueData'] = '0'
default['win11STIG']['stigrule_253373']['Setting']['NoGPOListChanges_Ensure'] = :create

# R-253374 WN11-CC-000100
default['win11STIG']['stigrule_253374']['Manage'] = true
default['win11STIG']['stigrule_253374']['Title'] = "Downloading print driver packages over HTTP must be prevented."
default['win11STIG']['stigrule_253374']['Severity'] = 'medium'
default['win11STIG']['stigrule_253374']['Setting']['DisableWebPnPDownload_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Printers'
default['win11STIG']['stigrule_253374']['Setting']['DisableWebPnPDownload_ValueType'] = :dword
default['win11STIG']['stigrule_253374']['Setting']['DisableWebPnPDownload_ValueData'] = '1'
default['win11STIG']['stigrule_253374']['Setting']['DisableWebPnPDownload_Ensure'] = :create

# R-253375 WN11-CC-000105
default['win11STIG']['stigrule_253375']['Manage'] = true
default['win11STIG']['stigrule_253375']['Title'] = "Web publishing and online ordering wizards must be prevented from downloading a list of providers."
default['win11STIG']['stigrule_253375']['Severity'] = 'medium'
default['win11STIG']['stigrule_253375']['Setting']['NoWebServices_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\Explorer'
default['win11STIG']['stigrule_253375']['Setting']['NoWebServices_ValueType'] = :dword
default['win11STIG']['stigrule_253375']['Setting']['NoWebServices_ValueData'] = '1'
default['win11STIG']['stigrule_253375']['Setting']['NoWebServices_Ensure'] = :create

# R-253376 WN11-CC-000110
default['win11STIG']['stigrule_253376']['Manage'] = true
default['win11STIG']['stigrule_253376']['Title'] = "Printing over HTTP must be prevented."
default['win11STIG']['stigrule_253376']['Severity'] = 'medium'
default['win11STIG']['stigrule_253376']['Setting']['DisableHTTPPrinting_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Printers'
default['win11STIG']['stigrule_253376']['Setting']['DisableHTTPPrinting_ValueType'] = :dword
default['win11STIG']['stigrule_253376']['Setting']['DisableHTTPPrinting_ValueData'] = '1'
default['win11STIG']['stigrule_253376']['Setting']['DisableHTTPPrinting_Ensure'] = :create

# R-253378 WN11-CC-000120
default['win11STIG']['stigrule_253378']['Manage'] = true
default['win11STIG']['stigrule_253378']['Title'] = "The network selection user interface (UI) must not be displayed on the logon screen."
default['win11STIG']['stigrule_253378']['Severity'] = 'medium'
default['win11STIG']['stigrule_253378']['Setting']['DontDisplayNetworkSelectionUI_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\System'
default['win11STIG']['stigrule_253378']['Setting']['DontDisplayNetworkSelectionUI_ValueType'] = :dword
default['win11STIG']['stigrule_253378']['Setting']['DontDisplayNetworkSelectionUI_ValueData'] = '1'
default['win11STIG']['stigrule_253378']['Setting']['DontDisplayNetworkSelectionUI_Ensure'] = :create

# R-253380 WN11-CC-000145
default['win11STIG']['stigrule_253380']['Manage'] = true
default['win11STIG']['stigrule_253380']['Title'] = "Users must be prompted for a password on resume from sleep (on battery)."
default['win11STIG']['stigrule_253380']['Severity'] = 'medium'
default['win11STIG']['stigrule_253380']['Setting']['DCSettingIndex_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Power\PowerSettings\0e796bdb-100d-47d6-a2d5-f7d2daa51f51'
default['win11STIG']['stigrule_253380']['Setting']['DCSettingIndex_ValueType'] = :dword
default['win11STIG']['stigrule_253380']['Setting']['DCSettingIndex_ValueData'] = '1'
default['win11STIG']['stigrule_253380']['Setting']['DCSettingIndex_Ensure'] = :create

# R-253381 WN11-CC-000150
default['win11STIG']['stigrule_253381']['Manage'] = true
default['win11STIG']['stigrule_253381']['Title'] = "The user must be prompted for a password on resume from sleep (plugged in)."
default['win11STIG']['stigrule_253381']['Severity'] = 'medium'
default['win11STIG']['stigrule_253381']['Setting']['ACSettingIndex_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Power\PowerSettings\0e796bdb-100d-47d6-a2d5-f7d2daa51f51'
default['win11STIG']['stigrule_253381']['Setting']['ACSettingIndex_ValueType'] = :dword
default['win11STIG']['stigrule_253381']['Setting']['ACSettingIndex_ValueData'] = '1'
default['win11STIG']['stigrule_253381']['Setting']['ACSettingIndex_Ensure'] = :create

# R-253382 WN11-CC-000155
default['win11STIG']['stigrule_253382']['Manage'] = true
default['win11STIG']['stigrule_253382']['Title'] = "Solicited Remote Assistance must not be allowed."
default['win11STIG']['stigrule_253382']['Severity'] = 'high'
default['win11STIG']['stigrule_253382']['Setting']['fAllowToGetHelp_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Terminal Services'
default['win11STIG']['stigrule_253382']['Setting']['fAllowToGetHelp_ValueType'] = :dword
default['win11STIG']['stigrule_253382']['Setting']['fAllowToGetHelp_ValueData'] = '0'
default['win11STIG']['stigrule_253382']['Setting']['fAllowToGetHelp_Ensure'] = :create

# R-253383 WN11-CC-000165
default['win11STIG']['stigrule_253383']['Manage'] = true
default['win11STIG']['stigrule_253383']['Title'] = "Unauthenticated RPC clients must be restricted from connecting to the RPC server."
default['win11STIG']['stigrule_253383']['Severity'] = 'medium'
default['win11STIG']['stigrule_253383']['Setting']['RestrictRemoteClients_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Rpc'
default['win11STIG']['stigrule_253383']['Setting']['RestrictRemoteClients_ValueType'] = :dword
default['win11STIG']['stigrule_253383']['Setting']['RestrictRemoteClients_ValueData'] = '1'
default['win11STIG']['stigrule_253383']['Setting']['RestrictRemoteClients_Ensure'] = :create

# R-253384 WN11-CC-000170
default['win11STIG']['stigrule_253384']['Manage'] = true
default['win11STIG']['stigrule_253384']['Title'] = "The setting to allow Microsoft accounts to be optional for modern style apps must be enabled."
default['win11STIG']['stigrule_253384']['Severity'] = 'low'
default['win11STIG']['stigrule_253384']['Setting']['MSAOptional_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['win11STIG']['stigrule_253384']['Setting']['MSAOptional_ValueType'] = :dword
default['win11STIG']['stigrule_253384']['Setting']['MSAOptional_ValueData'] = '1'
default['win11STIG']['stigrule_253384']['Setting']['MSAOptional_Ensure'] = :create

# R-253385 WN11-CC-000175
default['win11STIG']['stigrule_253385']['Manage'] = true
default['win11STIG']['stigrule_253385']['Title'] = "The Application Compatibility Program Inventory must be prevented from collecting data and sending the information to Microsoft."
default['win11STIG']['stigrule_253385']['Severity'] = 'low'
default['win11STIG']['stigrule_253385']['Setting']['DisableInventory_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\AppCompat'
default['win11STIG']['stigrule_253385']['Setting']['DisableInventory_ValueType'] = :dword
default['win11STIG']['stigrule_253385']['Setting']['DisableInventory_ValueData'] = '1'
default['win11STIG']['stigrule_253385']['Setting']['DisableInventory_Ensure'] = :create

# R-253386 WN11-CC-000180
default['win11STIG']['stigrule_253386']['Manage'] = true
default['win11STIG']['stigrule_253386']['Title'] = "Autoplay must be turned off for non-volume devices."
default['win11STIG']['stigrule_253386']['Severity'] = 'high'
default['win11STIG']['stigrule_253386']['Setting']['NoAutoplayfornonVolume_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Explorer'
default['win11STIG']['stigrule_253386']['Setting']['NoAutoplayfornonVolume_ValueType'] = :dword
default['win11STIG']['stigrule_253386']['Setting']['NoAutoplayfornonVolume_ValueData'] = '1'
default['win11STIG']['stigrule_253386']['Setting']['NoAutoplayfornonVolume_Ensure'] = :create

# R-253387 WN11-CC-000185
default['win11STIG']['stigrule_253387']['Manage'] = true
default['win11STIG']['stigrule_253387']['Title'] = "The default autorun behavior must be configured to prevent autorun commands."
default['win11STIG']['stigrule_253387']['Severity'] = 'high'
default['win11STIG']['stigrule_253387']['Setting']['NoAutorun_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\Explorer'
default['win11STIG']['stigrule_253387']['Setting']['NoAutorun_ValueType'] = :dword
default['win11STIG']['stigrule_253387']['Setting']['NoAutorun_ValueData'] = '1'
default['win11STIG']['stigrule_253387']['Setting']['NoAutorun_Ensure'] = :create

# R-253388 WN11-CC-000190
default['win11STIG']['stigrule_253388']['Manage'] = true
default['win11STIG']['stigrule_253388']['Title'] = "Autoplay must be disabled for all drives."
default['win11STIG']['stigrule_253388']['Severity'] = 'high'
default['win11STIG']['stigrule_253388']['Setting']['NoDriveTypeAutoRun_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\Explorer'
default['win11STIG']['stigrule_253388']['Setting']['NoDriveTypeAutoRun_ValueType'] = :dword
default['win11STIG']['stigrule_253388']['Setting']['NoDriveTypeAutoRun_ValueData'] = '255'
default['win11STIG']['stigrule_253388']['Setting']['NoDriveTypeAutoRun_Ensure'] = :create

# R-253389 WN11-CC-000195
default['win11STIG']['stigrule_253389']['Manage'] = true
default['win11STIG']['stigrule_253389']['Title'] = "Enhanced anti-spoofing for facial recognition must be enabled on Windows 11."
default['win11STIG']['stigrule_253389']['Severity'] = 'medium'
default['win11STIG']['stigrule_253389']['Setting']['EnhancedAntiSpoofing_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Biometrics\FacialFeatures'
default['win11STIG']['stigrule_253389']['Setting']['EnhancedAntiSpoofing_ValueType'] = :dword
default['win11STIG']['stigrule_253389']['Setting']['EnhancedAntiSpoofing_ValueData'] = '1'
default['win11STIG']['stigrule_253389']['Setting']['EnhancedAntiSpoofing_Ensure'] = :create

# R-253390 WN11-CC-000197
default['win11STIG']['stigrule_253390']['Manage'] = true
default['win11STIG']['stigrule_253390']['Title'] = "Microsoft consumer experiences must be turned off."
default['win11STIG']['stigrule_253390']['Severity'] = 'low'
default['win11STIG']['stigrule_253390']['Setting']['DisableWindowsConsumerFeatures_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\CloudContent'
default['win11STIG']['stigrule_253390']['Setting']['DisableWindowsConsumerFeatures_ValueType'] = :dword
default['win11STIG']['stigrule_253390']['Setting']['DisableWindowsConsumerFeatures_ValueData'] = '1'
default['win11STIG']['stigrule_253390']['Setting']['DisableWindowsConsumerFeatures_Ensure'] = :create

# R-253391 WN11-CC-000200
default['win11STIG']['stigrule_253391']['Manage'] = true
default['win11STIG']['stigrule_253391']['Title'] = "Administrator accounts must not be enumerated during elevation."
default['win11STIG']['stigrule_253391']['Severity'] = 'medium'
default['win11STIG']['stigrule_253391']['Setting']['EnumerateAdministrators_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\CredUI'
default['win11STIG']['stigrule_253391']['Setting']['EnumerateAdministrators_ValueType'] = :dword
default['win11STIG']['stigrule_253391']['Setting']['EnumerateAdministrators_ValueData'] = '0'
default['win11STIG']['stigrule_253391']['Setting']['EnumerateAdministrators_Ensure'] = :create

# R-253393 WN11-CC-000205
default['win11STIG']['stigrule_253393']['Manage'] = true
default['win11STIG']['stigrule_253393']['Title'] = "Windows Telemetry must not be configured to Full."
default['win11STIG']['stigrule_253393']['Severity'] = 'medium'
default['win11STIG']['stigrule_253393']['Setting']['AllowTelemetry_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\DataCollection'
default['win11STIG']['stigrule_253393']['Setting']['AllowTelemetry_ValueType'] = :dword
default['win11STIG']['stigrule_253393']['Setting']['AllowTelemetry_ValueData'] = '1'
default['win11STIG']['stigrule_253393']['Setting']['AllowTelemetry_Ensure'] = :create

# R-253396 WN11-CC-000215
default['win11STIG']['stigrule_253396']['Manage'] = true
default['win11STIG']['stigrule_253396']['Title'] = "Explorer Data Execution Prevention must be enabled."
default['win11STIG']['stigrule_253396']['Severity'] = 'medium'
default['win11STIG']['stigrule_253396']['Setting']['NoDataExecutionPrevention_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Explorer'
default['win11STIG']['stigrule_253396']['Setting']['NoDataExecutionPrevention_ValueType'] = :dword
default['win11STIG']['stigrule_253396']['Setting']['NoDataExecutionPrevention_ValueData'] = '0'
default['win11STIG']['stigrule_253396']['Setting']['NoDataExecutionPrevention_Ensure'] = :create

# R-253397 WN11-CC-000220
default['win11STIG']['stigrule_253397']['Manage'] = true
default['win11STIG']['stigrule_253397']['Title'] = "File Explorer heap termination on corruption must be disabled."
default['win11STIG']['stigrule_253397']['Severity'] = 'low'
default['win11STIG']['stigrule_253397']['Setting']['NoHeapTerminationOnCorruption_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Explorer'
default['win11STIG']['stigrule_253397']['Setting']['NoHeapTerminationOnCorruption_ValueType'] = :dword
default['win11STIG']['stigrule_253397']['Setting']['NoHeapTerminationOnCorruption_ValueData'] = '0'
default['win11STIG']['stigrule_253397']['Setting']['NoHeapTerminationOnCorruption_Ensure'] = :create

# R-253398 WN11-CC-000225
default['win11STIG']['stigrule_253398']['Manage'] = true
default['win11STIG']['stigrule_253398']['Title'] = "File Explorer shell protocol must run in protected mode."
default['win11STIG']['stigrule_253398']['Severity'] = 'medium'
default['win11STIG']['stigrule_253398']['Setting']['PreXPSP2ShellProtocolBehavior_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\Explorer'
default['win11STIG']['stigrule_253398']['Setting']['PreXPSP2ShellProtocolBehavior_ValueType'] = :dword
default['win11STIG']['stigrule_253398']['Setting']['PreXPSP2ShellProtocolBehavior_ValueData'] = '0'
default['win11STIG']['stigrule_253398']['Setting']['PreXPSP2ShellProtocolBehavior_Ensure'] = :create

# R-253401 WN11-CC-000260
default['win11STIG']['stigrule_253401']['Manage'] = true
default['win11STIG']['stigrule_253401']['Title'] = "Windows 11 must be configured to require a minimum pin length of six characters or greater."
default['win11STIG']['stigrule_253401']['Severity'] = 'medium'
default['win11STIG']['stigrule_253401']['Setting']['MinimumPINLength_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\PassportForWork\PINComplexity'
default['win11STIG']['stigrule_253401']['Setting']['MinimumPINLength_ValueType'] = :dword
default['win11STIG']['stigrule_253401']['Setting']['MinimumPINLength_ValueData'] = '6'
default['win11STIG']['stigrule_253401']['Setting']['MinimumPINLength_Ensure'] = :create

# R-253402 WN11-CC-000270
default['win11STIG']['stigrule_253402']['Manage'] = true
default['win11STIG']['stigrule_253402']['Title'] = "Passwords must not be saved in the Remote Desktop Client."
default['win11STIG']['stigrule_253402']['Severity'] = 'medium'
default['win11STIG']['stigrule_253402']['Setting']['DisablePasswordSaving_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Terminal Services'
default['win11STIG']['stigrule_253402']['Setting']['DisablePasswordSaving_ValueType'] = :dword
default['win11STIG']['stigrule_253402']['Setting']['DisablePasswordSaving_ValueData'] = '1'
default['win11STIG']['stigrule_253402']['Setting']['DisablePasswordSaving_Ensure'] = :create

# R-253403 WN11-CC-000275
default['win11STIG']['stigrule_253403']['Manage'] = true
default['win11STIG']['stigrule_253403']['Title'] = "Local drives must be prevented from sharing with Remote Desktop Session Hosts."
default['win11STIG']['stigrule_253403']['Severity'] = 'medium'
default['win11STIG']['stigrule_253403']['Setting']['fDisableCdm_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Terminal Services'
default['win11STIG']['stigrule_253403']['Setting']['fDisableCdm_ValueType'] = :dword
default['win11STIG']['stigrule_253403']['Setting']['fDisableCdm_ValueData'] = '1'
default['win11STIG']['stigrule_253403']['Setting']['fDisableCdm_Ensure'] = :create

# R-253404 WN11-CC-000280
default['win11STIG']['stigrule_253404']['Manage'] = true
default['win11STIG']['stigrule_253404']['Title'] = "Remote Desktop Services must always prompt a client for passwords upon connection."
default['win11STIG']['stigrule_253404']['Severity'] = 'medium'
default['win11STIG']['stigrule_253404']['Setting']['fPromptForPassword_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Terminal Services'
default['win11STIG']['stigrule_253404']['Setting']['fPromptForPassword_ValueType'] = :dword
default['win11STIG']['stigrule_253404']['Setting']['fPromptForPassword_ValueData'] = '1'
default['win11STIG']['stigrule_253404']['Setting']['fPromptForPassword_Ensure'] = :create

# R-253405 WN11-CC-000285
default['win11STIG']['stigrule_253405']['Manage'] = true
default['win11STIG']['stigrule_253405']['Title'] = "The Remote Desktop Session Host must require secure RPC communications."
default['win11STIG']['stigrule_253405']['Severity'] = 'medium'
default['win11STIG']['stigrule_253405']['Setting']['fEncryptRPCTraffic_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Terminal Services'
default['win11STIG']['stigrule_253405']['Setting']['fEncryptRPCTraffic_ValueType'] = :dword
default['win11STIG']['stigrule_253405']['Setting']['fEncryptRPCTraffic_ValueData'] = '1'
default['win11STIG']['stigrule_253405']['Setting']['fEncryptRPCTraffic_Ensure'] = :create

# R-253406 WN11-CC-000290
default['win11STIG']['stigrule_253406']['Manage'] = true
default['win11STIG']['stigrule_253406']['Title'] = "Remote Desktop Services must be configured with the client connection encryption set to the required level."
default['win11STIG']['stigrule_253406']['Severity'] = 'medium'
default['win11STIG']['stigrule_253406']['Setting']['MinEncryptionLevel_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows NT\Terminal Services'
default['win11STIG']['stigrule_253406']['Setting']['MinEncryptionLevel_ValueType'] = :dword
default['win11STIG']['stigrule_253406']['Setting']['MinEncryptionLevel_ValueData'] = '3'
default['win11STIG']['stigrule_253406']['Setting']['MinEncryptionLevel_Ensure'] = :create

# R-253407 WN11-CC-000295
default['win11STIG']['stigrule_253407']['Manage'] = true
default['win11STIG']['stigrule_253407']['Title'] = "Attachments must be prevented from being downloaded from RSS feeds."
default['win11STIG']['stigrule_253407']['Severity'] = 'medium'
default['win11STIG']['stigrule_253407']['Setting']['DisableEnclosureDownload_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Internet Explorer\Feeds'
default['win11STIG']['stigrule_253407']['Setting']['DisableEnclosureDownload_ValueType'] = :dword
default['win11STIG']['stigrule_253407']['Setting']['DisableEnclosureDownload_ValueData'] = '1'
default['win11STIG']['stigrule_253407']['Setting']['DisableEnclosureDownload_Ensure'] = :create

# R-253408 WN11-CC-000300
default['win11STIG']['stigrule_253408']['Manage'] = true
default['win11STIG']['stigrule_253408']['Title'] = "Basic authentication for RSS feeds over HTTP must not be used."
default['win11STIG']['stigrule_253408']['Severity'] = 'medium'
default['win11STIG']['stigrule_253408']['Setting']['AllowBasicAuthInClear_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Internet Explorer\Feeds'
default['win11STIG']['stigrule_253408']['Setting']['AllowBasicAuthInClear_ValueType'] = :dword
default['win11STIG']['stigrule_253408']['Setting']['AllowBasicAuthInClear_ValueData'] = '0'
default['win11STIG']['stigrule_253408']['Setting']['AllowBasicAuthInClear_Ensure'] = :create

# R-253409 WN11-CC-000305
default['win11STIG']['stigrule_253409']['Manage'] = true
default['win11STIG']['stigrule_253409']['Title'] = "Indexing of encrypted files must be turned off."
default['win11STIG']['stigrule_253409']['Severity'] = 'medium'
default['win11STIG']['stigrule_253409']['Setting']['AllowIndexingEncryptedStoresOrItems_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Windows Search'
default['win11STIG']['stigrule_253409']['Setting']['AllowIndexingEncryptedStoresOrItems_ValueType'] = :dword
default['win11STIG']['stigrule_253409']['Setting']['AllowIndexingEncryptedStoresOrItems_ValueData'] = '0'
default['win11STIG']['stigrule_253409']['Setting']['AllowIndexingEncryptedStoresOrItems_Ensure'] = :create

# R-253410 WN11-CC-000310
default['win11STIG']['stigrule_253410']['Manage'] = true
default['win11STIG']['stigrule_253410']['Title'] = "Users must be prevented from changing installation options."
default['win11STIG']['stigrule_253410']['Severity'] = 'medium'
default['win11STIG']['stigrule_253410']['Setting']['EnableUserControl_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Installer'
default['win11STIG']['stigrule_253410']['Setting']['EnableUserControl_ValueType'] = :dword
default['win11STIG']['stigrule_253410']['Setting']['EnableUserControl_ValueData'] = '0'
default['win11STIG']['stigrule_253410']['Setting']['EnableUserControl_Ensure'] = :create

# R-253411 WN11-CC-000315
default['win11STIG']['stigrule_253411']['Manage'] = true
default['win11STIG']['stigrule_253411']['Title'] = "The Windows Installer feature \"Always install with elevated privileges\" must be disabled."
default['win11STIG']['stigrule_253411']['Severity'] = 'high'
default['win11STIG']['stigrule_253411']['Setting']['AlwaysInstallElevated_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Installer'
default['win11STIG']['stigrule_253411']['Setting']['AlwaysInstallElevated_ValueType'] = :dword
default['win11STIG']['stigrule_253411']['Setting']['AlwaysInstallElevated_ValueData'] = '0'
default['win11STIG']['stigrule_253411']['Setting']['AlwaysInstallElevated_Ensure'] = :create

# R-253412 WN11-CC-000320
default['win11STIG']['stigrule_253412']['Manage'] = true
default['win11STIG']['stigrule_253412']['Title'] = "Users must be notified if a web-based program attempts to install software."
default['win11STIG']['stigrule_253412']['Severity'] = 'medium'
default['win11STIG']['stigrule_253412']['Setting']['SafeForScripting_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Installer'
default['win11STIG']['stigrule_253412']['Setting']['SafeForScripting_ValueType'] = :dword
default['win11STIG']['stigrule_253412']['Setting']['SafeForScripting_ValueData'] = '0'
default['win11STIG']['stigrule_253412']['Setting']['SafeForScripting_Ensure'] = :create

# R-253413 WN11-CC-000325
default['win11STIG']['stigrule_253413']['Manage'] = true
default['win11STIG']['stigrule_253413']['Title'] = "Automatically signing in the last interactive user after a system-initiated restart must be disabled."
default['win11STIG']['stigrule_253413']['Severity'] = 'medium'
default['win11STIG']['stigrule_253413']['Setting']['DisableAutomaticRestartSignOn_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['win11STIG']['stigrule_253413']['Setting']['DisableAutomaticRestartSignOn_ValueType'] = :dword
default['win11STIG']['stigrule_253413']['Setting']['DisableAutomaticRestartSignOn_ValueData'] = '1'
default['win11STIG']['stigrule_253413']['Setting']['DisableAutomaticRestartSignOn_Ensure'] = :create

# R-253414 WN11-CC-000326
default['win11STIG']['stigrule_253414']['Manage'] = true
default['win11STIG']['stigrule_253414']['Title'] = "PowerShell script block logging must be enabled on Windows 11."
default['win11STIG']['stigrule_253414']['Severity'] = 'medium'
default['win11STIG']['stigrule_253414']['Setting']['EnableScriptBlockLogging_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\PowerShell\ScriptBlockLogging'
default['win11STIG']['stigrule_253414']['Setting']['EnableScriptBlockLogging_ValueType'] = :dword
default['win11STIG']['stigrule_253414']['Setting']['EnableScriptBlockLogging_ValueData'] = '1'
default['win11STIG']['stigrule_253414']['Setting']['EnableScriptBlockLogging_Ensure'] = :create

# R-253415 WN11-CC-000327
default['win11STIG']['stigrule_253415']['Manage'] = true
default['win11STIG']['stigrule_253415']['Title'] = "PowerShell Transcription must be enabled on Windows 11."
default['win11STIG']['stigrule_253415']['Severity'] = 'medium'
default['win11STIG']['stigrule_253415']['Setting']['EnableTranscripting_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\PowerShell\Transcription'
default['win11STIG']['stigrule_253415']['Setting']['EnableTranscripting_ValueType'] = :dword
default['win11STIG']['stigrule_253415']['Setting']['EnableTranscripting_ValueData'] = '1'
default['win11STIG']['stigrule_253415']['Setting']['EnableTranscripting_Ensure'] = :create

# R-253416 WN11-CC-000330
default['win11STIG']['stigrule_253416']['Manage'] = true
default['win11STIG']['stigrule_253416']['Title'] = "The Windows Remote Management (WinRM) client must not use Basic authentication."
default['win11STIG']['stigrule_253416']['Severity'] = 'high'
default['win11STIG']['stigrule_253416']['Setting']['AllowBasic_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WinRM\Client'
default['win11STIG']['stigrule_253416']['Setting']['AllowBasic_ValueType'] = :dword
default['win11STIG']['stigrule_253416']['Setting']['AllowBasic_ValueData'] = '0'
default['win11STIG']['stigrule_253416']['Setting']['AllowBasic_Ensure'] = :create

# R-253418 WN11-CC-000345
default['win11STIG']['stigrule_253418']['Manage'] = true
default['win11STIG']['stigrule_253418']['Title'] = "The Windows Remote Management (WinRM) service must not use Basic authentication."
default['win11STIG']['stigrule_253418']['Severity'] = 'high'
default['win11STIG']['stigrule_253418']['Setting']['AllowBasic_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WinRM\Service'
default['win11STIG']['stigrule_253418']['Setting']['AllowBasic_ValueType'] = :dword
default['win11STIG']['stigrule_253418']['Setting']['AllowBasic_ValueData'] = '0'
default['win11STIG']['stigrule_253418']['Setting']['AllowBasic_Ensure'] = :create

# R-253417 WN11-CC-000335
default['win11STIG']['stigrule_253417']['Manage'] = true
default['win11STIG']['stigrule_253417']['Title'] = "The Windows Remote Management (WinRM) client must not allow unencrypted traffic."
default['win11STIG']['stigrule_253417']['Severity'] = 'medium'
default['win11STIG']['stigrule_253417']['Setting']['AllowUnencryptedTraffic_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WinRM\Client'
default['win11STIG']['stigrule_253417']['Setting']['AllowUnencryptedTraffic_ValueType'] = :dword
default['win11STIG']['stigrule_253417']['Setting']['AllowUnencryptedTraffic_ValueData'] = '0'
default['win11STIG']['stigrule_253417']['Setting']['AllowUnencryptedTraffic_Ensure'] = :create

# R-253419 WN11-CC-000350
default['win11STIG']['stigrule_253419']['Manage'] = true
default['win11STIG']['stigrule_253419']['Title'] = "The Windows Remote Management (WinRM) service must not allow unencrypted traffic."
default['win11STIG']['stigrule_253419']['Severity'] = 'medium'
default['win11STIG']['stigrule_253419']['Setting']['AllowUnencryptedTraffic_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WinRM\Service'
default['win11STIG']['stigrule_253419']['Setting']['AllowUnencryptedTraffic_ValueType'] = :dword
default['win11STIG']['stigrule_253419']['Setting']['AllowUnencryptedTraffic_ValueData'] = '0'
default['win11STIG']['stigrule_253419']['Setting']['AllowUnencryptedTraffic_Ensure'] = :create

# R-253420 WN11-CC-000355
default['win11STIG']['stigrule_253420']['Manage'] = true
default['win11STIG']['stigrule_253420']['Title'] = "The Windows Remote Management (WinRM) service must not store RunAs credentials."
default['win11STIG']['stigrule_253420']['Severity'] = 'medium'
default['win11STIG']['stigrule_253420']['Setting']['DisableRunAs_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WinRM\Service'
default['win11STIG']['stigrule_253420']['Setting']['DisableRunAs_ValueType'] = :dword
default['win11STIG']['stigrule_253420']['Setting']['DisableRunAs_ValueData'] = '1'
default['win11STIG']['stigrule_253420']['Setting']['DisableRunAs_Ensure'] = :create

# R-253421 WN11-CC-000360
default['win11STIG']['stigrule_253421']['Manage'] = true
default['win11STIG']['stigrule_253421']['Title'] = "The Windows Remote Management (WinRM) client must not use Digest authentication."
default['win11STIG']['stigrule_253421']['Severity'] = 'medium'
default['win11STIG']['stigrule_253421']['Setting']['AllowDigest_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\WinRM\Client'
default['win11STIG']['stigrule_253421']['Setting']['AllowDigest_ValueType'] = :dword
default['win11STIG']['stigrule_253421']['Setting']['AllowDigest_ValueData'] = '0'
default['win11STIG']['stigrule_253421']['Setting']['AllowDigest_Ensure'] = :create

# R-253423 WN11-CC-000370
default['win11STIG']['stigrule_253423']['Manage'] = true
default['win11STIG']['stigrule_253423']['Title'] = "The convenience PIN for Windows 11 must be disabled."
default['win11STIG']['stigrule_253423']['Severity'] = 'medium'
default['win11STIG']['stigrule_253423']['Setting']['AllowDomainPINLogon_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\System'
default['win11STIG']['stigrule_253423']['Setting']['AllowDomainPINLogon_ValueType'] = :dword
default['win11STIG']['stigrule_253423']['Setting']['AllowDomainPINLogon_ValueData'] = '0'
default['win11STIG']['stigrule_253423']['Setting']['AllowDomainPINLogon_Ensure'] = :create

# R-253424 WN11-CC-000385
default['win11STIG']['stigrule_253424']['Manage'] = true
default['win11STIG']['stigrule_253424']['Title'] = "Windows Ink Workspace must be configured to disallow access above the lock."
default['win11STIG']['stigrule_253424']['Severity'] = 'medium'
default['win11STIG']['stigrule_253424']['Setting']['AllowWindowsInkWorkspace_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\WindowsInkWorkspace'
default['win11STIG']['stigrule_253424']['Setting']['AllowWindowsInkWorkspace_ValueType'] = :dword
default['win11STIG']['stigrule_253424']['Setting']['AllowWindowsInkWorkspace_ValueData'] = '1'
default['win11STIG']['stigrule_253424']['Setting']['AllowWindowsInkWorkspace_Ensure'] = :create

# R-253425 WN11-CC-000390
default['win11STIG']['stigrule_253425']['Manage'] = true
default['win11STIG']['stigrule_253425']['Title'] = "Windows 11 must be configured to prevent users from receiving suggestions for third-party or additional applications."
default['win11STIG']['stigrule_253425']['Severity'] = 'low'
default['win11STIG']['stigrule_253425']['Setting']['DisableThirdPartySuggestions_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\CloudContent'
default['win11STIG']['stigrule_253425']['Setting']['DisableThirdPartySuggestions_ValueType'] = :dword
default['win11STIG']['stigrule_253425']['Setting']['DisableThirdPartySuggestions_ValueData'] = '1'
default['win11STIG']['stigrule_253425']['Setting']['DisableThirdPartySuggestions_Ensure'] = :create

# R-253426 WN11-EP-000310
default['win11STIG']['stigrule_253426']['Manage'] = true
default['win11STIG']['stigrule_253426']['Title'] = "Windows 11 Kernel (Direct Memory Access) DMA Protection must be enabled."
default['win11STIG']['stigrule_253426']['Severity'] = 'medium'
default['win11STIG']['stigrule_253426']['Setting']['DeviceEnumerationPolicy_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\Kernel DMA Protection'
default['win11STIG']['stigrule_253426']['Setting']['DeviceEnumerationPolicy_ValueType'] = :dword
default['win11STIG']['stigrule_253426']['Setting']['DeviceEnumerationPolicy_ValueData'] = '0'
default['win11STIG']['stigrule_253426']['Setting']['DeviceEnumerationPolicy_Ensure'] = :create

# R-253432 WN11-SO-000005
default['win11STIG']['stigrule_253432']['Manage'] = true
default['win11STIG']['stigrule_253432']['Title'] = "The built-in administrator account must be disabled."
default['win11STIG']['stigrule_253432']['Severity'] = 'medium'
default['win11STIG']['stigrule_253432']['Setting']['Administrator_account_status_Secoption'] = 'EnableAdminAccount'
default['win11STIG']['stigrule_253432']['Setting']['Administrator_account_status_Secvalue'] = '0'

# R-253433 WN11-SO-000010
default['win11STIG']['stigrule_253433']['Manage'] = true
default['win11STIG']['stigrule_253433']['Title'] = "The built-in guest account must be disabled."
default['win11STIG']['stigrule_253433']['Severity'] = 'medium'
default['win11STIG']['stigrule_253433']['Setting']['Accounts_Guest_account_status_Secoption'] = 'EnableGuestAccount'
default['win11STIG']['stigrule_253433']['Setting']['Accounts_Guest_account_status_Secvalue'] = '0'

# R-253434 WN11-SO-000015
default['win11STIG']['stigrule_253434']['Manage'] = true
default['win11STIG']['stigrule_253434']['Title'] = "Local accounts with blank passwords must be restricted to prevent access from the network."
default['win11STIG']['stigrule_253434']['Severity'] = 'medium'
default['win11STIG']['stigrule_253434']['Setting']['LimitBlankPasswordUse_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa'
default['win11STIG']['stigrule_253434']['Setting']['LimitBlankPasswordUse_ValueType'] = :dword
default['win11STIG']['stigrule_253434']['Setting']['LimitBlankPasswordUse_ValueData'] = '1'
default['win11STIG']['stigrule_253434']['Setting']['LimitBlankPasswordUse_Ensure'] = :create

# R-253435 WN11-SO-000020
default['win11STIG']['stigrule_253435']['Manage'] = true
default['win11STIG']['stigrule_253435']['Title'] = "The built-in administrator account must be renamed."
default['win11STIG']['stigrule_253435']['Severity'] = 'medium'
default['win11STIG']['stigrule_253435']['Setting']['Rename_administrator_account_Secoption'] = 'NewAdministratorName'
default['win11STIG']['stigrule_253435']['Setting']['Rename_administrator_account_Secvalue'] = 'RenamedAdministrator'

# R-253436 WN11-SO-000025
default['win11STIG']['stigrule_253436']['Manage'] = false
default['win11STIG']['stigrule_253436']['Title'] = "The built-in guest account must be renamed."
default['win11STIG']['stigrule_253436']['Severity'] = 'medium'
default['win11STIG']['stigrule_253436']['Setting']['Accounts_Rename_guest_account_Secoption'] = 'NewGuestName'
default['win11STIG']['stigrule_253436']['Setting']['Accounts_Rename_guest_account_Secvalue'] = 'RenamedGuest'

# R-253437 WN11-SO-000030
default['win11STIG']['stigrule_253437']['Manage'] = true
default['win11STIG']['stigrule_253437']['Title'] = "Audit policy using subcategories must be enabled."
default['win11STIG']['stigrule_253437']['Severity'] = 'medium'
default['win11STIG']['stigrule_253437']['Setting']['SCENoApplyLegacyAuditPolicy_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa'
default['win11STIG']['stigrule_253437']['Setting']['SCENoApplyLegacyAuditPolicy_ValueType'] = :dword
default['win11STIG']['stigrule_253437']['Setting']['SCENoApplyLegacyAuditPolicy_ValueData'] = '1'
default['win11STIG']['stigrule_253437']['Setting']['SCENoApplyLegacyAuditPolicy_Ensure'] = :create

# R-253438 WN11-SO-000035
default['win11STIG']['stigrule_253438']['Manage'] = true
default['win11STIG']['stigrule_253438']['Title'] = "Outgoing secure channel traffic must be encrypted or signed."
default['win11STIG']['stigrule_253438']['Severity'] = 'medium'
default['win11STIG']['stigrule_253438']['Setting']['RequireSignOrSeal_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Netlogon\Parameters'
default['win11STIG']['stigrule_253438']['Setting']['RequireSignOrSeal_ValueType'] = :dword
default['win11STIG']['stigrule_253438']['Setting']['RequireSignOrSeal_ValueData'] = '1'
default['win11STIG']['stigrule_253438']['Setting']['RequireSignOrSeal_Ensure'] = :create

# R-253439 WN11-SO-000040
default['win11STIG']['stigrule_253439']['Manage'] = true
default['win11STIG']['stigrule_253439']['Title'] = "Outgoing secure channel traffic must be encrypted."
default['win11STIG']['stigrule_253439']['Severity'] = 'medium'
default['win11STIG']['stigrule_253439']['Setting']['SealSecureChannel_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Netlogon\Parameters'
default['win11STIG']['stigrule_253439']['Setting']['SealSecureChannel_ValueType'] = :dword
default['win11STIG']['stigrule_253439']['Setting']['SealSecureChannel_ValueData'] = '1'
default['win11STIG']['stigrule_253439']['Setting']['SealSecureChannel_Ensure'] = :create

# R-253440 WN11-SO-000045
default['win11STIG']['stigrule_253440']['Manage'] = true
default['win11STIG']['stigrule_253440']['Title'] = "Outgoing secure channel traffic must be signed."
default['win11STIG']['stigrule_253440']['Severity'] = 'medium'
default['win11STIG']['stigrule_253440']['Setting']['SignSecureChannel_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Netlogon\Parameters'
default['win11STIG']['stigrule_253440']['Setting']['SignSecureChannel_ValueType'] = :dword
default['win11STIG']['stigrule_253440']['Setting']['SignSecureChannel_ValueData'] = '1'
default['win11STIG']['stigrule_253440']['Setting']['SignSecureChannel_Ensure'] = :create

# R-253441 WN11-SO-000050
default['win11STIG']['stigrule_253441']['Manage'] = true
default['win11STIG']['stigrule_253441']['Title'] = "The computer account password must not be prevented from being reset."
default['win11STIG']['stigrule_253441']['Severity'] = 'low'
default['win11STIG']['stigrule_253441']['Setting']['DisablePasswordChange_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Netlogon\Parameters'
default['win11STIG']['stigrule_253441']['Setting']['DisablePasswordChange_ValueType'] = :dword
default['win11STIG']['stigrule_253441']['Setting']['DisablePasswordChange_ValueData'] = '0'
default['win11STIG']['stigrule_253441']['Setting']['DisablePasswordChange_Ensure'] = :create

# R-253442 WN11-SO-000055
default['win11STIG']['stigrule_253442']['Manage'] = true
default['win11STIG']['stigrule_253442']['Title'] = "The maximum age for machine account passwords must be configured to 30 days or less."
default['win11STIG']['stigrule_253442']['Severity'] = 'low'
default['win11STIG']['stigrule_253442']['Setting']['MaximumPasswordAge_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Netlogon\Parameters'
default['win11STIG']['stigrule_253442']['Setting']['MaximumPasswordAge_ValueType'] = :dword
default['win11STIG']['stigrule_253442']['Setting']['MaximumPasswordAge_ValueData'] = '30'
default['win11STIG']['stigrule_253442']['Setting']['MaximumPasswordAge_Ensure'] = :create

# R-253443 WN11-SO-000060
default['win11STIG']['stigrule_253443']['Manage'] = true
default['win11STIG']['stigrule_253443']['Title'] = "The system must be configured to require a strong session key."
default['win11STIG']['stigrule_253443']['Severity'] = 'medium'
default['win11STIG']['stigrule_253443']['Setting']['RequireStrongKey_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\Netlogon\Parameters'
default['win11STIG']['stigrule_253443']['Setting']['RequireStrongKey_ValueType'] = :dword
default['win11STIG']['stigrule_253443']['Setting']['RequireStrongKey_ValueData'] = '1'
default['win11STIG']['stigrule_253443']['Setting']['RequireStrongKey_Ensure'] = :create

# R-253444 WN11-SO-000070
default['win11STIG']['stigrule_253444']['Manage'] = true
default['win11STIG']['stigrule_253444']['Title'] = "The machine inactivity limit must be set to 15 minutes, locking the system with the screensaver."
default['win11STIG']['stigrule_253444']['Severity'] = 'medium'
default['win11STIG']['stigrule_253444']['Setting']['InactivityTimeoutSecs_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['win11STIG']['stigrule_253444']['Setting']['InactivityTimeoutSecs_ValueType'] = :dword
default['win11STIG']['stigrule_253444']['Setting']['InactivityTimeoutSecs_ValueData'] = '900'
default['win11STIG']['stigrule_253444']['Setting']['InactivityTimeoutSecs_Ensure'] = :create

# R-253445 WN11-SO-000075
default['win11STIG']['stigrule_253445']['Manage'] = true
default['win11STIG']['stigrule_253445']['Title'] = "The required legal notice must be configured to display before console logon."
default['win11STIG']['stigrule_253445']['Severity'] = 'medium'
default['win11STIG']['stigrule_253445']['Setting']['LegalNoticeText_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['win11STIG']['stigrule_253445']['Setting']['LegalNoticeText_ValueType'] = :string
default['win11STIG']['stigrule_253445']['Setting']['LegalNoticeText_ValueData'] = 'You are accessing a U.S. Government (USG) Information System (IS) that is provided for USG-authorized use only.
By using this IS (which includes any device attached to this IS), you consent to the following conditions:
-The USG routinely intercepts and monitors communications on this IS for purposes including, but not limited to, penetration testing, COMSEC monitoring, network operations and defense, personnel misconduct (PM), law enforcement (LE), and counterintelligence (CI) investigations.
-At any time, the USG may inspect and seize data stored on this IS.
-Communications using, or data stored on, this IS are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for any USG-authorized purpose.
-This IS includes security measures (e.g., authentication and access controls) to protect USG interests--not for your personal benefit or privacy.
-Notwithstanding the above, using this IS does not constitute consent to PM, LE or CI investigative searching or monitoring of the content of privileged communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such communications and work product are private and confidential. See User Agreement for details.'
default['win11STIG']['stigrule_253445']['Setting']['LegalNoticeText_Ensure'] = :create

# R-253446 WN11-SO-000080
default['win11STIG']['stigrule_253446']['Manage'] = true
default['win11STIG']['stigrule_253446']['Title'] = "The Windows message title for the legal notice must be configured."
default['win11STIG']['stigrule_253446']['Severity'] = 'low'
default['win11STIG']['stigrule_253446']['Setting']['LegalNoticeCaption_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['win11STIG']['stigrule_253446']['Setting']['LegalNoticeCaption_ValueType'] = :string
default['win11STIG']['stigrule_253446']['Setting']['LegalNoticeCaption_ValueData'] = 'DoD Notice and Consent Banner'
default['win11STIG']['stigrule_253446']['Setting']['LegalNoticeCaption_Ensure'] = :create

# R-253447 WN11-SO-000085
default['win11STIG']['stigrule_253447']['Manage'] = true
default['win11STIG']['stigrule_253447']['Title'] = "Caching of logon credentials must be limited."
default['win11STIG']['stigrule_253447']['Severity'] = 'low'
default['win11STIG']['stigrule_253447']['Setting']['CachedLogonsCount_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon'
default['win11STIG']['stigrule_253447']['Setting']['CachedLogonsCount_ValueType'] = :string
default['win11STIG']['stigrule_253447']['Setting']['CachedLogonsCount_ValueData'] = '10'
default['win11STIG']['stigrule_253447']['Setting']['CachedLogonsCount_Ensure'] = :create

# R-253448 WN11-SO-000095
default['win11STIG']['stigrule_253448']['Manage'] = true
default['win11STIG']['stigrule_253448']['Title'] = "The Smart Card removal option must be configured to Force Logoff or Lock Workstation."
default['win11STIG']['stigrule_253448']['Severity'] = 'medium'
default['win11STIG']['stigrule_253448']['Setting']['SCRemoveOption_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Winlogon'
default['win11STIG']['stigrule_253448']['Setting']['SCRemoveOption_ValueType'] = :string
default['win11STIG']['stigrule_253448']['Setting']['SCRemoveOption_ValueData'] = '1'
default['win11STIG']['stigrule_253448']['Setting']['SCRemoveOption_Ensure'] = :create

# R-253449 WN11-SO-000100
default['win11STIG']['stigrule_253449']['Manage'] = true
default['win11STIG']['stigrule_253449']['Title'] = "The Windows SMB client must be configured to always perform SMB packet signing."
default['win11STIG']['stigrule_253449']['Severity'] = 'medium'
default['win11STIG']['stigrule_253449']['Setting']['RequireSecuritySignature_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\LanmanWorkstation\Parameters'
default['win11STIG']['stigrule_253449']['Setting']['RequireSecuritySignature_ValueType'] = :dword
default['win11STIG']['stigrule_253449']['Setting']['RequireSecuritySignature_ValueData'] = '1'
default['win11STIG']['stigrule_253449']['Setting']['RequireSecuritySignature_Ensure'] = :create

# R-253451 WN11-SO-000120
default['win11STIG']['stigrule_253451']['Manage'] = true
default['win11STIG']['stigrule_253451']['Title'] = "The Windows SMB server must be configured to always perform SMB packet signing."
default['win11STIG']['stigrule_253451']['Severity'] = 'medium'
default['win11STIG']['stigrule_253451']['Setting']['RequireSecuritySignature_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\LanManServer\Parameters'
default['win11STIG']['stigrule_253451']['Setting']['RequireSecuritySignature_ValueType'] = :dword
default['win11STIG']['stigrule_253451']['Setting']['RequireSecuritySignature_ValueData'] = '1'
default['win11STIG']['stigrule_253451']['Setting']['RequireSecuritySignature_Ensure'] = :create

# R-253450 WN11-SO-000110
default['win11STIG']['stigrule_253450']['Manage'] = true
default['win11STIG']['stigrule_253450']['Title'] = "Unencrypted passwords must not be sent to third-party SMB Servers."
default['win11STIG']['stigrule_253450']['Severity'] = 'medium'
default['win11STIG']['stigrule_253450']['Setting']['EnablePlainTextPassword_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\LanmanWorkstation\Parameters'
default['win11STIG']['stigrule_253450']['Setting']['EnablePlainTextPassword_ValueType'] = :dword
default['win11STIG']['stigrule_253450']['Setting']['EnablePlainTextPassword_ValueData'] = '0'
default['win11STIG']['stigrule_253450']['Setting']['EnablePlainTextPassword_Ensure'] = :create

# R-253452 WN11-SO-000140
default['win11STIG']['stigrule_253452']['Manage'] = true
default['win11STIG']['stigrule_253452']['Title'] = "Anonymous SID/Name translation must not be allowed."
default['win11STIG']['stigrule_253452']['Severity'] = 'high'
default['win11STIG']['stigrule_253452']['Setting']['Allow_anonymous_SID_Name_translation_Secoption'] = 'LSAAnonymousNameLookup'
default['win11STIG']['stigrule_253452']['Setting']['Allow_anonymous_SID_Name_translation_Secvalue'] = '0'

# R-253453 WN11-SO-000145
default['win11STIG']['stigrule_253453']['Manage'] = true
default['win11STIG']['stigrule_253453']['Title'] = "Anonymous enumeration of SAM accounts must not be allowed."
default['win11STIG']['stigrule_253453']['Severity'] = 'high'
default['win11STIG']['stigrule_253453']['Setting']['RestrictAnonymousSAM_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa'
default['win11STIG']['stigrule_253453']['Setting']['RestrictAnonymousSAM_ValueType'] = :dword
default['win11STIG']['stigrule_253453']['Setting']['RestrictAnonymousSAM_ValueData'] = '1'
default['win11STIG']['stigrule_253453']['Setting']['RestrictAnonymousSAM_Ensure'] = :create

# R-253454 WN11-SO-000150
default['win11STIG']['stigrule_253454']['Manage'] = true
default['win11STIG']['stigrule_253454']['Title'] = "Anonymous enumeration of shares must be restricted."
default['win11STIG']['stigrule_253454']['Severity'] = 'high'
default['win11STIG']['stigrule_253454']['Setting']['RestrictAnonymous_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa'
default['win11STIG']['stigrule_253454']['Setting']['RestrictAnonymous_ValueType'] = :dword
default['win11STIG']['stigrule_253454']['Setting']['RestrictAnonymous_ValueData'] = '1'
default['win11STIG']['stigrule_253454']['Setting']['RestrictAnonymous_Ensure'] = :create

# R-253455 WN11-SO-000160
default['win11STIG']['stigrule_253455']['Manage'] = true
default['win11STIG']['stigrule_253455']['Title'] = "The system must be configured to prevent anonymous users from having the same rights as the Everyone group."
default['win11STIG']['stigrule_253455']['Severity'] = 'medium'
default['win11STIG']['stigrule_253455']['Setting']['EveryoneIncludesAnonymous_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa'
default['win11STIG']['stigrule_253455']['Setting']['EveryoneIncludesAnonymous_ValueType'] = :dword
default['win11STIG']['stigrule_253455']['Setting']['EveryoneIncludesAnonymous_ValueData'] = '0'
default['win11STIG']['stigrule_253455']['Setting']['EveryoneIncludesAnonymous_Ensure'] = :create

# R-253456 WN11-SO-000165
default['win11STIG']['stigrule_253456']['Manage'] = true
default['win11STIG']['stigrule_253456']['Title'] = "Anonymous access to Named Pipes and Shares must be restricted."
default['win11STIG']['stigrule_253456']['Severity'] = 'high'
default['win11STIG']['stigrule_253456']['Setting']['RestrictNullSessAccess_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\LanManServer\Parameters'
default['win11STIG']['stigrule_253456']['Setting']['RestrictNullSessAccess_ValueType'] = :dword
default['win11STIG']['stigrule_253456']['Setting']['RestrictNullSessAccess_ValueData'] = '1'
default['win11STIG']['stigrule_253456']['Setting']['RestrictNullSessAccess_Ensure'] = :create

# R-253458 WN11-SO-000180
default['win11STIG']['stigrule_253458']['Manage'] = true
default['win11STIG']['stigrule_253458']['Title'] = "NTLM must be prevented from falling back to a Null session."
default['win11STIG']['stigrule_253458']['Severity'] = 'medium'
default['win11STIG']['stigrule_253458']['Setting']['allownullsessionfallback_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\LSA\MSV1_0'
default['win11STIG']['stigrule_253458']['Setting']['allownullsessionfallback_ValueType'] = :dword
default['win11STIG']['stigrule_253458']['Setting']['allownullsessionfallback_ValueData'] = '0'
default['win11STIG']['stigrule_253458']['Setting']['allownullsessionfallback_Ensure'] = :create

# R-253459 WN11-SO-000185
default['win11STIG']['stigrule_253459']['Manage'] = true
default['win11STIG']['stigrule_253459']['Title'] = "PKU2U authentication using online identities must be prevented."
default['win11STIG']['stigrule_253459']['Severity'] = 'medium'
default['win11STIG']['stigrule_253459']['Setting']['AllowOnlineID_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\LSA\pku2u'
default['win11STIG']['stigrule_253459']['Setting']['AllowOnlineID_ValueType'] = :dword
default['win11STIG']['stigrule_253459']['Setting']['AllowOnlineID_ValueData'] = '0'
default['win11STIG']['stigrule_253459']['Setting']['AllowOnlineID_Ensure'] = :create

# R-253460 WN11-SO-000190
default['win11STIG']['stigrule_253460']['Manage'] = true
default['win11STIG']['stigrule_253460']['Title'] = "Kerberos encryption types must be configured to prevent the use of DES and RC4 encryption suites."
default['win11STIG']['stigrule_253460']['Severity'] = 'medium'
default['win11STIG']['stigrule_253460']['Setting']['SupportedEncryptionTypes_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System\Kerberos\Parameters'
default['win11STIG']['stigrule_253460']['Setting']['SupportedEncryptionTypes_ValueType'] = :dword
default['win11STIG']['stigrule_253460']['Setting']['SupportedEncryptionTypes_ValueData'] = '2147483640'
default['win11STIG']['stigrule_253460']['Setting']['SupportedEncryptionTypes_Ensure'] = :create

# R-253461 WN11-SO-000195
default['win11STIG']['stigrule_253461']['Manage'] = true
default['win11STIG']['stigrule_253461']['Title'] = "The system must be configured to prevent the storage of the LAN Manager hash of passwords."
default['win11STIG']['stigrule_253461']['Severity'] = 'high'
default['win11STIG']['stigrule_253461']['Setting']['NoLMHash_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa'
default['win11STIG']['stigrule_253461']['Setting']['NoLMHash_ValueType'] = :dword
default['win11STIG']['stigrule_253461']['Setting']['NoLMHash_ValueData'] = '1'
default['win11STIG']['stigrule_253461']['Setting']['NoLMHash_Ensure'] = :create

# R-253462 WN11-SO-000205
default['win11STIG']['stigrule_253462']['Manage'] = true
default['win11STIG']['stigrule_253462']['Title'] = "The LanMan authentication level must be set to send NTLMv2 response only, and to refuse LM and NTLM."
default['win11STIG']['stigrule_253462']['Severity'] = 'high'
default['win11STIG']['stigrule_253462']['Setting']['LmCompatibilityLevel_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa'
default['win11STIG']['stigrule_253462']['Setting']['LmCompatibilityLevel_ValueType'] = :dword
default['win11STIG']['stigrule_253462']['Setting']['LmCompatibilityLevel_ValueData'] = '5'
default['win11STIG']['stigrule_253462']['Setting']['LmCompatibilityLevel_Ensure'] = :create

# R-253463 WN11-SO-000210
default['win11STIG']['stigrule_253463']['Manage'] = true
default['win11STIG']['stigrule_253463']['Title'] = "The system must be configured to the required LDAP client signing level."
default['win11STIG']['stigrule_253463']['Severity'] = 'medium'
default['win11STIG']['stigrule_253463']['Setting']['LDAPClientIntegrity_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Services\LDAP'
default['win11STIG']['stigrule_253463']['Setting']['LDAPClientIntegrity_ValueType'] = :dword
default['win11STIG']['stigrule_253463']['Setting']['LDAPClientIntegrity_ValueData'] = '1'
default['win11STIG']['stigrule_253463']['Setting']['LDAPClientIntegrity_Ensure'] = :create

# R-253464 WN11-SO-000215
default['win11STIG']['stigrule_253464']['Manage'] = true
default['win11STIG']['stigrule_253464']['Title'] = "The system must be configured to meet the minimum session security requirement for NTLM SSP based clients."
default['win11STIG']['stigrule_253464']['Severity'] = 'medium'
default['win11STIG']['stigrule_253464']['Setting']['NTLMMinClientSec_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa\MSV1_0'
default['win11STIG']['stigrule_253464']['Setting']['NTLMMinClientSec_ValueType'] = :dword
default['win11STIG']['stigrule_253464']['Setting']['NTLMMinClientSec_ValueData'] = '537395200'
default['win11STIG']['stigrule_253464']['Setting']['NTLMMinClientSec_Ensure'] = :create

# R-253465 WN11-SO-000220
default['win11STIG']['stigrule_253465']['Manage'] = true
default['win11STIG']['stigrule_253465']['Title'] = "The system must be configured to meet the minimum session security requirement for NTLM SSP based servers."
default['win11STIG']['stigrule_253465']['Severity'] = 'medium'
default['win11STIG']['stigrule_253465']['Setting']['NTLMMinServerSec_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa\MSV1_0'
default['win11STIG']['stigrule_253465']['Setting']['NTLMMinServerSec_ValueType'] = :dword
default['win11STIG']['stigrule_253465']['Setting']['NTLMMinServerSec_ValueData'] = '537395200'
default['win11STIG']['stigrule_253465']['Setting']['NTLMMinServerSec_Ensure'] = :create

# R-253466 WN11-SO-000230
default['win11STIG']['stigrule_253466']['Manage'] = false
default['win11STIG']['stigrule_253466']['Title'] = "The system must be configured to use FIPS-compliant algorithms for encryption, hashing, and signing."
default['win11STIG']['stigrule_253466']['Severity'] = 'medium'
default['win11STIG']['stigrule_253466']['Setting']['Enabled_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Lsa\FIPSAlgorithmPolicy'
default['win11STIG']['stigrule_253466']['Setting']['Enabled_ValueType'] = :dword
default['win11STIG']['stigrule_253466']['Setting']['Enabled_ValueData'] = '1'
default['win11STIG']['stigrule_253466']['Setting']['Enabled_Ensure'] = :create

# R-253467 WN11-SO-000240
default['win11STIG']['stigrule_253467']['Manage'] = true
default['win11STIG']['stigrule_253467']['Title'] = "The default permissions of global system objects must be increased."
default['win11STIG']['stigrule_253467']['Severity'] = 'low'
default['win11STIG']['stigrule_253467']['Setting']['ProtectionMode_Key'] = 'HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager'
default['win11STIG']['stigrule_253467']['Setting']['ProtectionMode_ValueType'] = :dword
default['win11STIG']['stigrule_253467']['Setting']['ProtectionMode_ValueData'] = '1'
default['win11STIG']['stigrule_253467']['Setting']['ProtectionMode_Ensure'] = :create

# R-253468 WN11-SO-000245
default['win11STIG']['stigrule_253468']['Manage'] = true
default['win11STIG']['stigrule_253468']['Title'] = "User Account Control approval mode for the built-in Administrator must be enabled."
default['win11STIG']['stigrule_253468']['Severity'] = 'medium'
default['win11STIG']['stigrule_253468']['Setting']['FilterAdministratorToken_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['win11STIG']['stigrule_253468']['Setting']['FilterAdministratorToken_ValueType'] = :dword
default['win11STIG']['stigrule_253468']['Setting']['FilterAdministratorToken_ValueData'] = '1'
default['win11STIG']['stigrule_253468']['Setting']['FilterAdministratorToken_Ensure'] = :create

# R-253469 WN11-SO-000250
default['win11STIG']['stigrule_253469']['Manage'] = true
default['win11STIG']['stigrule_253469']['Title'] = "User Account Control must prompt administrators for consent on the secure desktop."
default['win11STIG']['stigrule_253469']['Severity'] = 'medium'
default['win11STIG']['stigrule_253469']['Setting']['ConsentPromptBehaviorAdmin_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['win11STIG']['stigrule_253469']['Setting']['ConsentPromptBehaviorAdmin_ValueType'] = :dword
default['win11STIG']['stigrule_253469']['Setting']['ConsentPromptBehaviorAdmin_ValueData'] = '2'
default['win11STIG']['stigrule_253469']['Setting']['ConsentPromptBehaviorAdmin_Ensure'] = :create

# R-253471 WN11-SO-000255
default['win11STIG']['stigrule_253471']['Manage'] = true
default['win11STIG']['stigrule_253471']['Title'] = "User Account Control must automatically deny elevation requests for standard users."
default['win11STIG']['stigrule_253471']['Severity'] = 'medium'
default['win11STIG']['stigrule_253471']['Setting']['ConsentPromptBehaviorUser_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['win11STIG']['stigrule_253471']['Setting']['ConsentPromptBehaviorUser_ValueType'] = :dword
default['win11STIG']['stigrule_253471']['Setting']['ConsentPromptBehaviorUser_ValueData'] = '0'
default['win11STIG']['stigrule_253471']['Setting']['ConsentPromptBehaviorUser_Ensure'] = :create

# R-253472 WN11-SO-000260
default['win11STIG']['stigrule_253472']['Manage'] = true
default['win11STIG']['stigrule_253472']['Title'] = "User Account Control must be configured to detect application installations and prompt for elevation."
default['win11STIG']['stigrule_253472']['Severity'] = 'medium'
default['win11STIG']['stigrule_253472']['Setting']['EnableInstallerDetection_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['win11STIG']['stigrule_253472']['Setting']['EnableInstallerDetection_ValueType'] = :dword
default['win11STIG']['stigrule_253472']['Setting']['EnableInstallerDetection_ValueData'] = '1'
default['win11STIG']['stigrule_253472']['Setting']['EnableInstallerDetection_Ensure'] = :create

# R-253473 WN11-SO-000265
default['win11STIG']['stigrule_253473']['Manage'] = true
default['win11STIG']['stigrule_253473']['Title'] = "User Account Control must only elevate UIAccess applications that are installed in secure locations."
default['win11STIG']['stigrule_253473']['Severity'] = 'medium'
default['win11STIG']['stigrule_253473']['Setting']['EnableSecureUIAPaths_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['win11STIG']['stigrule_253473']['Setting']['EnableSecureUIAPaths_ValueType'] = :dword
default['win11STIG']['stigrule_253473']['Setting']['EnableSecureUIAPaths_ValueData'] = '1'
default['win11STIG']['stigrule_253473']['Setting']['EnableSecureUIAPaths_Ensure'] = :create

# R-253474 WN11-SO-000270
default['win11STIG']['stigrule_253474']['Manage'] = true
default['win11STIG']['stigrule_253474']['Title'] = "User Account Control must run all administrators in Admin Approval Mode, enabling UAC."
default['win11STIG']['stigrule_253474']['Severity'] = 'medium'
default['win11STIG']['stigrule_253474']['Setting']['EnableLUA_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['win11STIG']['stigrule_253474']['Setting']['EnableLUA_ValueType'] = :dword
default['win11STIG']['stigrule_253474']['Setting']['EnableLUA_ValueData'] = '1'
default['win11STIG']['stigrule_253474']['Setting']['EnableLUA_Ensure'] = :create

# R-253475 WN11-SO-000275
default['win11STIG']['stigrule_253475']['Manage'] = true
default['win11STIG']['stigrule_253475']['Title'] = "User Account Control must virtualize file and registry write failures to per-user locations."
default['win11STIG']['stigrule_253475']['Severity'] = 'medium'
default['win11STIG']['stigrule_253475']['Setting']['EnableVirtualization_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\System'
default['win11STIG']['stigrule_253475']['Setting']['EnableVirtualization_ValueType'] = :dword
default['win11STIG']['stigrule_253475']['Setting']['EnableVirtualization_ValueData'] = '1'
default['win11STIG']['stigrule_253475']['Setting']['EnableVirtualization_Ensure'] = :create

# R-253477 WN11-UC-000015
default['win11STIG']['stigrule_253477']['Manage'] = true
default['win11STIG']['stigrule_253477']['Title'] = "Toast notifications to the lock screen must be turned off."
default['win11STIG']['stigrule_253477']['Severity'] = 'low'
default['win11STIG']['stigrule_253477']['Setting']['NoToastApplicationNotificationOnLockScreen_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Policies\Microsoft\Windows\CurrentVersion\PushNotifications'
default['win11STIG']['stigrule_253477']['Setting']['NoToastApplicationNotificationOnLockScreen_ValueType'] = :dword
default['win11STIG']['stigrule_253477']['Setting']['NoToastApplicationNotificationOnLockScreen_ValueData'] = '1'
default['win11STIG']['stigrule_253477']['Setting']['NoToastApplicationNotificationOnLockScreen_Ensure'] = :create

# R-253478 WN11-UC-000020
default['win11STIG']['stigrule_253478']['Manage'] = true
default['win11STIG']['stigrule_253478']['Title'] = "Zone information must be preserved when saving attachments."
default['win11STIG']['stigrule_253478']['Severity'] = 'medium'
default['win11STIG']['stigrule_253478']['Setting']['SaveZoneInformation_Key'] = 'HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\Windows\CurrentVersion\Policies\Attachments'
default['win11STIG']['stigrule_253478']['Setting']['SaveZoneInformation_ValueType'] = :dword
default['win11STIG']['stigrule_253478']['Setting']['SaveZoneInformation_ValueData'] = '2'
default['win11STIG']['stigrule_253478']['Setting']['SaveZoneInformation_Ensure'] = :create

# R-253479 WN11-UR-000005
default['win11STIG']['stigrule_253479']['Manage'] = true
default['win11STIG']['stigrule_253479']['Title'] = "The \"Access Credential Manager as a trusted caller\" user right must not be assigned to any groups or accounts."
default['win11STIG']['stigrule_253479']['Severity'] = 'medium'
default['win11STIG']['stigrule_253479']['Setting']['Access_Credential_Manager_as_a_trusted_caller_Users'] = ['']
default['win11STIG']['stigrule_253479']['Setting']['Access_Credential_Manager_as_a_trusted_caller_Privilege'] = 'SeTrustedCredManAccessPrivilege'

# R-253480 WN11-UR-000010
default['win11STIG']['stigrule_253480']['Manage'] = true
default['win11STIG']['stigrule_253480']['Title'] = "The \"Access this computer from the network\" user right must only be assigned to the Administrators and Remote Desktop Users groups."
default['win11STIG']['stigrule_253480']['Severity'] = 'medium'
default['win11STIG']['stigrule_253480']['Setting']['Access_this_computer_from_the_network_Users'] = ['Administrators','Remote Desktop Users']
default['win11STIG']['stigrule_253480']['Setting']['Access_this_computer_from_the_network_Privilege'] = 'SeNetworkLogonRight'

# R-253481 WN11-UR-000015
default['win11STIG']['stigrule_253481']['Manage'] = true
default['win11STIG']['stigrule_253481']['Title'] = "The \"Act as part of the operating system\" user right must not be assigned to any groups or accounts."
default['win11STIG']['stigrule_253481']['Severity'] = 'high'
default['win11STIG']['stigrule_253481']['Setting']['Act_as_part_of_the_operating_system_Users'] = ['']
default['win11STIG']['stigrule_253481']['Setting']['Act_as_part_of_the_operating_system_Privilege'] = 'SeTcbPrivilege'

# R-253482 WN11-UR-000025
default['win11STIG']['stigrule_253482']['Manage'] = true
default['win11STIG']['stigrule_253482']['Title'] = "The \"Allow log on locally\" user right must only be assigned to the Administrators and Users groups."
default['win11STIG']['stigrule_253482']['Severity'] = 'medium'
default['win11STIG']['stigrule_253482']['Setting']['Allow_log_on_locally_Users'] = ['Administrators','Users']
default['win11STIG']['stigrule_253482']['Setting']['Allow_log_on_locally_Privilege'] = 'SeInteractiveLogonRight'

# R-253483 WN11-UR-000030
default['win11STIG']['stigrule_253483']['Manage'] = true
default['win11STIG']['stigrule_253483']['Title'] = "The \"Back up files and directories\" user right must only be assigned to the Administrators group."
default['win11STIG']['stigrule_253483']['Severity'] = 'medium'
default['win11STIG']['stigrule_253483']['Setting']['Back_up_files_and_directories_Users'] = ['Administrators']
default['win11STIG']['stigrule_253483']['Setting']['Back_up_files_and_directories_Privilege'] = 'SeBackupPrivilege'

# R-253484 WN11-UR-000035
default['win11STIG']['stigrule_253484']['Manage'] = true
default['win11STIG']['stigrule_253484']['Title'] = "The \"Change the system time\" user right must only be assigned to Administrators and Local Service."
default['win11STIG']['stigrule_253484']['Severity'] = 'medium'
default['win11STIG']['stigrule_253484']['Setting']['Change_the_system_time_Users'] = ['Administrators','LOCAL SERVICE']
default['win11STIG']['stigrule_253484']['Setting']['Change_the_system_time_Privilege'] = 'SeSystemtimePrivilege'

# R-253485 WN11-UR-000040
default['win11STIG']['stigrule_253485']['Manage'] = true
default['win11STIG']['stigrule_253485']['Title'] = "The \"Create a pagefile\" user right must only be assigned to the Administrators group."
default['win11STIG']['stigrule_253485']['Severity'] = 'medium'
default['win11STIG']['stigrule_253485']['Setting']['Create_a_pagefile_Users'] = ['Administrators']
default['win11STIG']['stigrule_253485']['Setting']['Create_a_pagefile_Privilege'] = 'SeCreatePagefilePrivilege'

# R-253486 WN11-UR-000045
default['win11STIG']['stigrule_253486']['Manage'] = true
default['win11STIG']['stigrule_253486']['Title'] = "The \"Create a token object\" user right must not be assigned to any groups or accounts."
default['win11STIG']['stigrule_253486']['Severity'] = 'high'
default['win11STIG']['stigrule_253486']['Setting']['Create_a_token_object_Users'] = ['']
default['win11STIG']['stigrule_253486']['Setting']['Create_a_token_object_Privilege'] = 'SeCreateTokenPrivilege'

# R-253487 WN11-UR-000050
default['win11STIG']['stigrule_253487']['Manage'] = true
default['win11STIG']['stigrule_253487']['Title'] = "The \"Create global objects\" user right must only be assigned to Administrators, Service, Local Service, and Network Service."
default['win11STIG']['stigrule_253487']['Severity'] = 'medium'
default['win11STIG']['stigrule_253487']['Setting']['Create_global_objects_Users'] = ['Administrators','LOCAL SERVICE','NETWORK SERVICE','SERVICE']
default['win11STIG']['stigrule_253487']['Setting']['Create_global_objects_Privilege'] = 'SeCreateGlobalPrivilege'

# R-253488 WN11-UR-000055
default['win11STIG']['stigrule_253488']['Manage'] = true
default['win11STIG']['stigrule_253488']['Title'] = "The \"Create permanent shared objects\" user right must not be assigned to any groups or accounts."
default['win11STIG']['stigrule_253488']['Severity'] = 'medium'
default['win11STIG']['stigrule_253488']['Setting']['Create_permanent_shared_objects_Users'] = ['']
default['win11STIG']['stigrule_253488']['Setting']['Create_permanent_shared_objects_Privilege'] = 'SeCreatePermanentPrivilege'

# R-253489 WN11-UR-000060
default['win11STIG']['stigrule_253489']['Manage'] = true
default['win11STIG']['stigrule_253489']['Title'] = "The \"Create symbolic links\" user right must only be assigned to the Administrators group."
default['win11STIG']['stigrule_253489']['Severity'] = 'medium'
default['win11STIG']['stigrule_253489']['Setting']['Create_symbolic_links_Users'] = ['Administrators']
default['win11STIG']['stigrule_253489']['Setting']['Create_symbolic_links_Privilege'] = 'SeCreateSymbolicLinkPrivilege'

# R-253490 WN11-UR-000065
default['win11STIG']['stigrule_253490']['Manage'] = true
default['win11STIG']['stigrule_253490']['Title'] = "The \"Debug programs\" user right must only be assigned to the Administrators group."
default['win11STIG']['stigrule_253490']['Severity'] = 'high'
default['win11STIG']['stigrule_253490']['Setting']['Debug_programs_Users'] = ['Administrators']
default['win11STIG']['stigrule_253490']['Setting']['Debug_programs_Privilege'] = 'SeDebugPrivilege'

# R-253496 WN11-UR-000095
default['win11STIG']['stigrule_253496']['Manage'] = true
default['win11STIG']['stigrule_253496']['Title'] = "The \"Enable computer and user accounts to be trusted for delegation\" user right must not be assigned to any groups or accounts."
default['win11STIG']['stigrule_253496']['Severity'] = 'medium'
default['win11STIG']['stigrule_253496']['Setting']['Enable_computer_and_user_accounts_to_be_trusted_for_delegation_Users'] = ['']
default['win11STIG']['stigrule_253496']['Setting']['Enable_computer_and_user_accounts_to_be_trusted_for_delegation_Privilege'] = 'SeEnableDelegationPrivilege'

# R-253497 WN11-UR-000100
default['win11STIG']['stigrule_253497']['Manage'] = true
default['win11STIG']['stigrule_253497']['Title'] = "The \"Force shutdown from a remote system\" user right must only be assigned to the Administrators group."
default['win11STIG']['stigrule_253497']['Severity'] = 'medium'
default['win11STIG']['stigrule_253497']['Setting']['Force_shutdown_from_a_remote_system_Users'] = ['Administrators']
default['win11STIG']['stigrule_253497']['Setting']['Force_shutdown_from_a_remote_system_Privilege'] = 'SeRemoteShutdownPrivilege'

# R-253498 WN11-UR-000110
default['win11STIG']['stigrule_253498']['Manage'] = true
default['win11STIG']['stigrule_253498']['Title'] = "The \"Impersonate a client after authentication\" user right must only be assigned to Administrators, Service, Local Service, and Network Service."
default['win11STIG']['stigrule_253498']['Severity'] = 'medium'
default['win11STIG']['stigrule_253498']['Setting']['Impersonate_a_client_after_authentication_Users'] = ['Administrators','LOCAL SERVICE','NETWORK SERVICE','SERVICE']
default['win11STIG']['stigrule_253498']['Setting']['Impersonate_a_client_after_authentication_Privilege'] = 'SeImpersonatePrivilege'

# R-253499 WN11-UR-000120
default['win11STIG']['stigrule_253499']['Manage'] = true
default['win11STIG']['stigrule_253499']['Title'] = "The \"Load and unload device drivers\" user right must only be assigned to the Administrators group."
default['win11STIG']['stigrule_253499']['Severity'] = 'medium'
default['win11STIG']['stigrule_253499']['Setting']['Load_and_unload_device_drivers_Users'] = ['Administrators']
default['win11STIG']['stigrule_253499']['Setting']['Load_and_unload_device_drivers_Privilege'] = 'SeLoadDriverPrivilege'

# R-253500 WN11-UR-000125
default['win11STIG']['stigrule_253500']['Manage'] = true
default['win11STIG']['stigrule_253500']['Title'] = "The \"Lock pages in memory\" user right must not be assigned to any groups or accounts."
default['win11STIG']['stigrule_253500']['Severity'] = 'medium'
default['win11STIG']['stigrule_253500']['Setting']['Lock_pages_in_memory_Users'] = ['']
default['win11STIG']['stigrule_253500']['Setting']['Lock_pages_in_memory_Privilege'] = 'SeLockMemoryPrivilege'

# R-253501 WN11-UR-000130
default['win11STIG']['stigrule_253501']['Manage'] = true
default['win11STIG']['stigrule_253501']['Title'] = "The \"Manage auditing and security log\" user right must only be assigned to the Administrators group."
default['win11STIG']['stigrule_253501']['Severity'] = 'medium'
default['win11STIG']['stigrule_253501']['Setting']['Manage_auditing_and_security_log_Users'] = ['Administrators']
default['win11STIG']['stigrule_253501']['Setting']['Manage_auditing_and_security_log_Privilege'] = 'SeSecurityPrivilege'

# R-253502 WN11-UR-000140
default['win11STIG']['stigrule_253502']['Manage'] = true
default['win11STIG']['stigrule_253502']['Title'] = "The \"Modify firmware environment values\" user right must only be assigned to the Administrators group."
default['win11STIG']['stigrule_253502']['Severity'] = 'medium'
default['win11STIG']['stigrule_253502']['Setting']['Modify_firmware_environment_values_Users'] = ['Administrators']
default['win11STIG']['stigrule_253502']['Setting']['Modify_firmware_environment_values_Privilege'] = 'SeSystemEnvironmentPrivilege'

# R-253503 WN11-UR-000145
default['win11STIG']['stigrule_253503']['Manage'] = true
default['win11STIG']['stigrule_253503']['Title'] = "The \"Perform volume maintenance tasks\" user right must only be assigned to the Administrators group."
default['win11STIG']['stigrule_253503']['Severity'] = 'medium'
default['win11STIG']['stigrule_253503']['Setting']['Perform_volume_maintenance_tasks_Users'] = ['Administrators']
default['win11STIG']['stigrule_253503']['Setting']['Perform_volume_maintenance_tasks_Privilege'] = 'SeManageVolumePrivilege'

# R-253504 WN11-UR-000150
default['win11STIG']['stigrule_253504']['Manage'] = true
default['win11STIG']['stigrule_253504']['Title'] = "The \"Profile single process\" user right must only be assigned to the Administrators group."
default['win11STIG']['stigrule_253504']['Severity'] = 'medium'
default['win11STIG']['stigrule_253504']['Setting']['Profile_single_process_Users'] = ['Administrators']
default['win11STIG']['stigrule_253504']['Setting']['Profile_single_process_Privilege'] = 'SeProfileSingleProcessPrivilege'

# R-253505 WN11-UR-000160
default['win11STIG']['stigrule_253505']['Manage'] = true
default['win11STIG']['stigrule_253505']['Title'] = "The \"Restore files and directories\" user right must only be assigned to the Administrators group."
default['win11STIG']['stigrule_253505']['Severity'] = 'medium'
default['win11STIG']['stigrule_253505']['Setting']['Restore_files_and_directories_Users'] = ['Administrators']
default['win11STIG']['stigrule_253505']['Setting']['Restore_files_and_directories_Privilege'] = 'SeRestorePrivilege'

# R-253506 WN11-UR-000165
default['win11STIG']['stigrule_253506']['Manage'] = true
default['win11STIG']['stigrule_253506']['Title'] = "The \"Take ownership of files or other objects\" user right must only be assigned to the Administrators group."
default['win11STIG']['stigrule_253506']['Severity'] = 'medium'
default['win11STIG']['stigrule_253506']['Setting']['Take_ownership_of_files_or_other_objects_Users'] = ['Administrators']
default['win11STIG']['stigrule_253506']['Setting']['Take_ownership_of_files_or_other_objects_Privilege'] = 'SeTakeOwnershipPrivilege'

