if node.exist?('win11STIG','stigrule_253275','Manage')
  windows_feature 'IIS_WebServerRole_253275' do
    feature_name 'IIS-WebServerRole'
    action node['win11STIG']['stigrule_253275']['Setting']['IIS_WebServerRole_Ensure']
    all true
  end
end
if node.exist?('win11STIG','stigrule_253275','Manage')
  windows_feature 'IIS_HostableWebCore_253275' do
    feature_name 'IIS-HostableWebCore'
    action node['win11STIG']['stigrule_253275']['Setting']['IIS_HostableWebCore_Ensure']
    all true
  end
end
if node.exist?('win11STIG','stigrule_253277','Manage')
  windows_feature 'SimpleTCP_253277' do
    feature_name 'SimpleTCP'
    action node['win11STIG']['stigrule_253277']['Setting']['SimpleTCP_Ensure']
    all true
  end
end
if node.exist?('win11STIG','stigrule_253278','Manage')
  windows_feature 'TelnetClient_253278' do
    feature_name 'TelnetClient'
    action node['win11STIG']['stigrule_253278']['Setting']['TelnetClient_Ensure']
    all true
  end
end
if node.exist?('win11STIG','stigrule_253279','Manage')
  windows_feature 'TFTP_253279' do
    feature_name 'TFTP'
    action node['win11STIG']['stigrule_253279']['Setting']['TFTP_Ensure']
    all true
  end
end
if node.exist?('win11STIG','stigrule_253285','Manage')
  windows_feature 'MicrosoftWindowsPowerShellV2_253285' do
    feature_name 'MicrosoftWindowsPowerShellV2'
    action node['win11STIG']['stigrule_253285']['Setting']['MicrosoftWindowsPowerShellV2_Ensure']
    all true
  end
end
if node.exist?('win11STIG','stigrule_253285','Manage')
  windows_feature 'MicrosoftWindowsPowerShellV2Root_253285' do
    feature_name 'MicrosoftWindowsPowerShellV2Root'
    action node['win11STIG']['stigrule_253285']['Setting']['MicrosoftWindowsPowerShellV2Root_Ensure']
    all true
  end
end
if node.exist?('win11STIG','stigrule_253286','Manage')
  windows_feature 'SMB1Protocol_253286' do
    feature_name 'SMB1Protocol'
    action node['win11STIG']['stigrule_253286']['Setting']['SMB1Protocol_Ensure']
    all true
  end
end
if node.exist?('win11STIG','stigrule_253287','Manage')
  registry_key 'SMB1_253287' do
    key node['win11STIG']['stigrule_253287']['Setting']['SMB1_Key']
    values [{
      name: 'SMB1',
      type: node['win11STIG']['stigrule_253287']['Setting']['SMB1_ValueType'],
      data: node['win11STIG']['stigrule_253287']['Setting']['SMB1_ValueData']
    }]
    action node['win11STIG']['stigrule_253287']['Setting']['SMB1_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253289','Manage')
  service 'Secondary_Logon_253289' do
    service_name node['win11STIG']['stigrule_253289']['Setting']['Secondary_Logon_ServiceName']
    action node['win11STIG']['stigrule_253289']['Setting']['Secondary_Logon_Action']
  end
end
if node.exist?('win11STIG','stigrule_253297','Manage')
  windows_security_policy 'Account_lockout_duration_253297' do
    secoption node['win11STIG']['stigrule_253297']['Setting']['Account_lockout_duration_Secoption']
    secvalue node['win11STIG']['stigrule_253297']['Setting']['Account_lockout_duration_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253298','Manage')
  windows_security_policy 'Account_lockout_threshold_253298' do
    secoption node['win11STIG']['stigrule_253298']['Setting']['Account_lockout_threshold_Secoption']
    secvalue node['win11STIG']['stigrule_253298']['Setting']['Account_lockout_threshold_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253299','Manage')
  windows_security_policy 'Reset_account_lockout_counter_after_253299' do
    secoption node['win11STIG']['stigrule_253299']['Setting']['Reset_account_lockout_counter_after_Secoption']
    secvalue node['win11STIG']['stigrule_253299']['Setting']['Reset_account_lockout_counter_after_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253300','Manage')
  windows_security_policy 'Enforce_password_history_253300' do
    secoption node['win11STIG']['stigrule_253300']['Setting']['Enforce_password_history_Secoption']
    secvalue node['win11STIG']['stigrule_253300']['Setting']['Enforce_password_history_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253301','Manage')
  windows_security_policy 'Maximum_Password_Age_253301' do
    secoption node['win11STIG']['stigrule_253301']['Setting']['Maximum_Password_Age_Secoption']
    secvalue node['win11STIG']['stigrule_253301']['Setting']['Maximum_Password_Age_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253302','Manage')
  windows_security_policy 'Minimum_Password_Age_253302' do
    secoption node['win11STIG']['stigrule_253302']['Setting']['Minimum_Password_Age_Secoption']
    secvalue node['win11STIG']['stigrule_253302']['Setting']['Minimum_Password_Age_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253303','Manage')
  windows_security_policy 'Minimum_password_length_253303' do
    secoption node['win11STIG']['stigrule_253303']['Setting']['Minimum_password_length_Secoption']
    secvalue node['win11STIG']['stigrule_253303']['Setting']['Minimum_password_length_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253304','Manage')
  windows_security_policy 'Password_must_meet_complexity_requirements_253304' do
    secoption node['win11STIG']['stigrule_253304']['Setting']['Password_must_meet_complexity_requirements_Secoption']
    secvalue node['win11STIG']['stigrule_253304']['Setting']['Password_must_meet_complexity_requirements_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253305','Manage')
  windows_security_policy 'Store_password_using_reversible_encryption_253305' do
    secoption node['win11STIG']['stigrule_253305']['Setting']['Store_password_using_reversible_encryption_Secoption']
    secvalue node['win11STIG']['stigrule_253305']['Setting']['Store_password_using_reversible_encryption_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253306','Manage')
  windows_audit_policy 'Credential_Validation_failures_253306' do
    subcategory node['win11STIG']['stigrule_253306']['Setting']['Credential_Validation_failures_Subcategory']
    success node['win11STIG']['stigrule_253306']['Setting']['Credential_Validation_failures_Success']
    failure node['win11STIG']['stigrule_253306']['Setting']['Credential_Validation_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253307','Manage')
  windows_audit_policy 'Credential_Validation_successes_253307' do
    subcategory node['win11STIG']['stigrule_253307']['Setting']['Credential_Validation_successes_Subcategory']
    success node['win11STIG']['stigrule_253307']['Setting']['Credential_Validation_successes_Success']
    failure node['win11STIG']['stigrule_253307']['Setting']['Credential_Validation_successes_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253308','Manage')
  windows_audit_policy 'User_Account_Management_successes_253308' do
    subcategory node['win11STIG']['stigrule_253308']['Setting']['User_Account_Management_successes_Subcategory']
    success node['win11STIG']['stigrule_253308']['Setting']['User_Account_Management_successes_Success']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253310','Manage')
  windows_audit_policy 'User_Account_Management_successes_253310' do
    subcategory node['win11STIG']['stigrule_253310']['Setting']['User_Account_Management_successes_Subcategory']
    success node['win11STIG']['stigrule_253310']['Setting']['User_Account_Management_successes_Success']
    failure node['win11STIG']['stigrule_253310']['Setting']['User_Account_Management_successes_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253309','Manage')
  windows_audit_policy 'User_Account_Management_failures_253309' do
    subcategory node['win11STIG']['stigrule_253309']['Setting']['User_Account_Management_failures_Subcategory']
    success node['win11STIG']['stigrule_253309']['Setting']['User_Account_Management_failures_Success']
    failure node['win11STIG']['stigrule_253309']['Setting']['User_Account_Management_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253311','Manage')
  windows_audit_policy 'PNP_Activity_successes_253311' do
    subcategory node['win11STIG']['stigrule_253311']['Setting']['PNP_Activity_successes_Subcategory']
    success node['win11STIG']['stigrule_253311']['Setting']['PNP_Activity_successes_Success']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253312','Manage')
  windows_audit_policy 'Process_Creation_successes_253312' do
    subcategory node['win11STIG']['stigrule_253312']['Setting']['Process_Creation_successes_Subcategory']
    success node['win11STIG']['stigrule_253312']['Setting']['Process_Creation_successes_Success']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253313','Manage')
  windows_audit_policy 'Account_Lockout_failures_253313' do
    subcategory node['win11STIG']['stigrule_253313']['Setting']['Account_Lockout_failures_Subcategory']
    failure node['win11STIG']['stigrule_253313']['Setting']['Account_Lockout_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253314','Manage')
  windows_audit_policy 'Group_Membership_successes_253314' do
    subcategory node['win11STIG']['stigrule_253314']['Setting']['Group_Membership_successes_Subcategory']
    success node['win11STIG']['stigrule_253314']['Setting']['Group_Membership_successes_Success']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253315','Manage')
  windows_audit_policy 'Logoff_successes_253315' do
    subcategory node['win11STIG']['stigrule_253315']['Setting']['Logoff_successes_Subcategory']
    success node['win11STIG']['stigrule_253315']['Setting']['Logoff_successes_Success']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253316','Manage')
  windows_audit_policy 'Logon_failures_253316' do
    subcategory node['win11STIG']['stigrule_253316']['Setting']['Logon_failures_Subcategory']
    success node['win11STIG']['stigrule_253316']['Setting']['Logon_failures_Success']
    failure node['win11STIG']['stigrule_253316']['Setting']['Logon_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253317','Manage')
  windows_audit_policy 'Logon_successes_253317' do
    subcategory node['win11STIG']['stigrule_253317']['Setting']['Logon_successes_Subcategory']
    success node['win11STIG']['stigrule_253317']['Setting']['Logon_successes_Success']
    failure node['win11STIG']['stigrule_253317']['Setting']['Logon_successes_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253318','Manage')
  windows_audit_policy 'Special_Logon_successes_253318' do
    subcategory node['win11STIG']['stigrule_253318']['Setting']['Special_Logon_successes_Subcategory']
    success node['win11STIG']['stigrule_253318']['Setting']['Special_Logon_successes_Success']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253319','Manage')
  windows_audit_policy 'File_Share_failures_253319' do
    subcategory node['win11STIG']['stigrule_253319']['Setting']['File_Share_failures_Subcategory']
    success node['win11STIG']['stigrule_253319']['Setting']['File_Share_failures_Success']
    failure node['win11STIG']['stigrule_253319']['Setting']['File_Share_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253320','Manage')
  windows_audit_policy 'File_Share_successes_253320' do
    subcategory node['win11STIG']['stigrule_253320']['Setting']['File_Share_successes_Subcategory']
    success node['win11STIG']['stigrule_253320']['Setting']['File_Share_successes_Success']
    failure node['win11STIG']['stigrule_253320']['Setting']['File_Share_successes_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253321','Manage')
  windows_audit_policy 'Other_Object_Access_Events_successes_253321' do
    subcategory node['win11STIG']['stigrule_253321']['Setting']['Other_Object_Access_Events_successes_Subcategory']
    success node['win11STIG']['stigrule_253321']['Setting']['Other_Object_Access_Events_successes_Success']
    failure node['win11STIG']['stigrule_253321']['Setting']['Other_Object_Access_Events_successes_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253322','Manage')
  windows_audit_policy 'Other_Object_Access_Events_failures_253322' do
    subcategory node['win11STIG']['stigrule_253322']['Setting']['Other_Object_Access_Events_failures_Subcategory']
    success node['win11STIG']['stigrule_253322']['Setting']['Other_Object_Access_Events_failures_Success']
    failure node['win11STIG']['stigrule_253322']['Setting']['Other_Object_Access_Events_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253323','Manage')
  windows_audit_policy 'Removable_Storage_failures_253323' do
    subcategory node['win11STIG']['stigrule_253323']['Setting']['Removable_Storage_failures_Subcategory']
    success node['win11STIG']['stigrule_253323']['Setting']['Removable_Storage_failures_Success']
    failure node['win11STIG']['stigrule_253323']['Setting']['Removable_Storage_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253324','Manage')
  windows_audit_policy 'Removable_Storage_successes_253324' do
    subcategory node['win11STIG']['stigrule_253324']['Setting']['Removable_Storage_successes_Subcategory']
    success node['win11STIG']['stigrule_253324']['Setting']['Removable_Storage_successes_Success']
    failure node['win11STIG']['stigrule_253324']['Setting']['Removable_Storage_successes_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253325','Manage')
  windows_audit_policy 'Audit_Policy_Change_successes_253325' do
    subcategory node['win11STIG']['stigrule_253325']['Setting']['Audit_Policy_Change_successes_Subcategory']
    success node['win11STIG']['stigrule_253325']['Setting']['Audit_Policy_Change_successes_Success']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253326','Manage')
  windows_audit_policy 'Authentication_Policy_Change_successes_253326' do
    subcategory node['win11STIG']['stigrule_253326']['Setting']['Authentication_Policy_Change_successes_Subcategory']
    success node['win11STIG']['stigrule_253326']['Setting']['Authentication_Policy_Change_successes_Success']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253327','Manage')
  windows_audit_policy 'Authorization_Policy_Change_successes_253327' do
    subcategory node['win11STIG']['stigrule_253327']['Setting']['Authorization_Policy_Change_successes_Subcategory']
    success node['win11STIG']['stigrule_253327']['Setting']['Authorization_Policy_Change_successes_Success']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253328','Manage')
  windows_audit_policy 'Sensitive_Privilege_Use_failures_253328' do
    subcategory node['win11STIG']['stigrule_253328']['Setting']['Sensitive_Privilege_Use_failures_Subcategory']
    success node['win11STIG']['stigrule_253328']['Setting']['Sensitive_Privilege_Use_failures_Success']
    failure node['win11STIG']['stigrule_253328']['Setting']['Sensitive_Privilege_Use_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253329','Manage')
  windows_audit_policy 'Sensitive_Privilege_Use_successes_253329' do
    subcategory node['win11STIG']['stigrule_253329']['Setting']['Sensitive_Privilege_Use_successes_Subcategory']
    success node['win11STIG']['stigrule_253329']['Setting']['Sensitive_Privilege_Use_successes_Success']
    failure node['win11STIG']['stigrule_253329']['Setting']['Sensitive_Privilege_Use_successes_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253330','Manage')
  windows_audit_policy 'IPsec_Driver_failures_253330' do
    subcategory node['win11STIG']['stigrule_253330']['Setting']['IPsec_Driver_failures_Subcategory']
    failure node['win11STIG']['stigrule_253330']['Setting']['IPsec_Driver_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253331','Manage')
  windows_audit_policy 'Other_System_Events_successes_253331' do
    subcategory node['win11STIG']['stigrule_253331']['Setting']['Other_System_Events_successes_Subcategory']
    success node['win11STIG']['stigrule_253331']['Setting']['Other_System_Events_successes_Success']
    failure node['win11STIG']['stigrule_253331']['Setting']['Other_System_Events_successes_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253332','Manage')
  windows_audit_policy 'Other_System_Events_failures_253332' do
    subcategory node['win11STIG']['stigrule_253332']['Setting']['Other_System_Events_failures_Subcategory']
    success node['win11STIG']['stigrule_253332']['Setting']['Other_System_Events_failures_Success']
    failure node['win11STIG']['stigrule_253332']['Setting']['Other_System_Events_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253333','Manage')
  windows_audit_policy 'Security_State_Change_successes_253333' do
    subcategory node['win11STIG']['stigrule_253333']['Setting']['Security_State_Change_successes_Subcategory']
    success node['win11STIG']['stigrule_253333']['Setting']['Security_State_Change_successes_Success']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253334','Manage')
  windows_audit_policy 'Security_System_Extension_successes_253334' do
    subcategory node['win11STIG']['stigrule_253334']['Setting']['Security_System_Extension_successes_Subcategory']
    success node['win11STIG']['stigrule_253334']['Setting']['Security_System_Extension_successes_Success']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253335','Manage')
  windows_audit_policy 'System_Integrity_failures_253335' do
    subcategory node['win11STIG']['stigrule_253335']['Setting']['System_Integrity_failures_Subcategory']
    success node['win11STIG']['stigrule_253335']['Setting']['System_Integrity_failures_Success']
    failure node['win11STIG']['stigrule_253335']['Setting']['System_Integrity_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253336','Manage')
  windows_audit_policy 'System_Integrity_successes_253336' do
    subcategory node['win11STIG']['stigrule_253336']['Setting']['System_Integrity_successes_Subcategory']
    success node['win11STIG']['stigrule_253336']['Setting']['System_Integrity_successes_Success']
    failure node['win11STIG']['stigrule_253336']['Setting']['System_Integrity_successes_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253337','Manage')
  registry_key 'MaxSize_253337' do
    key node['win11STIG']['stigrule_253337']['Setting']['MaxSize_Key']
    values [{
      name: 'MaxSize',
      type: node['win11STIG']['stigrule_253337']['Setting']['MaxSize_ValueType'],
      data: node['win11STIG']['stigrule_253337']['Setting']['MaxSize_ValueData']
    }]
    action node['win11STIG']['stigrule_253337']['Setting']['MaxSize_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253338','Manage')
  registry_key 'MaxSize_253338' do
    key node['win11STIG']['stigrule_253338']['Setting']['MaxSize_Key']
    values [{
      name: 'MaxSize',
      type: node['win11STIG']['stigrule_253338']['Setting']['MaxSize_ValueType'],
      data: node['win11STIG']['stigrule_253338']['Setting']['MaxSize_ValueData']
    }]
    action node['win11STIG']['stigrule_253338']['Setting']['MaxSize_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253339','Manage')
  registry_key 'MaxSize_253339' do
    key node['win11STIG']['stigrule_253339']['Setting']['MaxSize_Key']
    values [{
      name: 'MaxSize',
      type: node['win11STIG']['stigrule_253339']['Setting']['MaxSize_ValueType'],
      data: node['win11STIG']['stigrule_253339']['Setting']['MaxSize_ValueData']
    }]
    action node['win11STIG']['stigrule_253339']['Setting']['MaxSize_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253340','Manage')
  file 'C__Windows_System32_winevt_Logs_Application_evtx_253340' do
    path node['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Path']
    inherits node['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Inherits']
    rights node['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Permission_1'], node['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Principal_1']
    rights node['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Permission_2'], node['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Principal_2']
    rights node['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Permission_3'], node['win11STIG']['stigrule_253340']['Setting']['C__Windows_System32_winevt_Logs_Application_evtx_Principal_3']
  end
end
if node.exist?('win11STIG','stigrule_253341','Manage')
  file 'C__Windows_System32_winevt_Logs_Security_evtx_253341' do
    path node['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Path']
    inherits node['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Inherits']
    rights node['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Permission_1'], node['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Principal_1']
    rights node['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Permission_2'], node['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Principal_2']
    rights node['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Permission_3'], node['win11STIG']['stigrule_253341']['Setting']['C__Windows_System32_winevt_Logs_Security_evtx_Principal_3']
  end
end
if node.exist?('win11STIG','stigrule_253342','Manage')
  file 'C__Windows_System32_winevt_Logs_System_evtx_253342' do
    path node['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Path']
    inherits node['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Inherits']
    rights node['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Permission_1'], node['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Principal_1']
    rights node['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Permission_2'], node['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Principal_2']
    rights node['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Permission_3'], node['win11STIG']['stigrule_253342']['Setting']['C__Windows_System32_winevt_Logs_System_evtx_Principal_3']
  end
end
if node.exist?('win11STIG','stigrule_253343','Manage')
  windows_audit_policy 'Other_Policy_Change_Events_successes_253343' do
    subcategory node['win11STIG']['stigrule_253343']['Setting']['Other_Policy_Change_Events_successes_Subcategory']
    success node['win11STIG']['stigrule_253343']['Setting']['Other_Policy_Change_Events_successes_Success']
    failure node['win11STIG']['stigrule_253343']['Setting']['Other_Policy_Change_Events_successes_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253344','Manage')
  windows_audit_policy 'Other_Policy_Change_Events_failures_253344' do
    subcategory node['win11STIG']['stigrule_253344']['Setting']['Other_Policy_Change_Events_failures_Subcategory']
    success node['win11STIG']['stigrule_253344']['Setting']['Other_Policy_Change_Events_failures_Success']
    failure node['win11STIG']['stigrule_253344']['Setting']['Other_Policy_Change_Events_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253345','Manage')
  windows_audit_policy 'Other_Logon_Logoff_Events_successes_253345' do
    subcategory node['win11STIG']['stigrule_253345']['Setting']['Other_Logon_Logoff_Events_successes_Subcategory']
    success node['win11STIG']['stigrule_253345']['Setting']['Other_Logon_Logoff_Events_successes_Success']
    failure node['win11STIG']['stigrule_253345']['Setting']['Other_Logon_Logoff_Events_successes_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253346','Manage')
  windows_audit_policy 'Other_Logon_Logoff_Events_failures_253346' do
    subcategory node['win11STIG']['stigrule_253346']['Setting']['Other_Logon_Logoff_Events_failures_Subcategory']
    success node['win11STIG']['stigrule_253346']['Setting']['Other_Logon_Logoff_Events_failures_Success']
    failure node['win11STIG']['stigrule_253346']['Setting']['Other_Logon_Logoff_Events_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253347','Manage')
  windows_audit_policy 'Detailed_File_Share_failures_253347' do
    subcategory node['win11STIG']['stigrule_253347']['Setting']['Detailed_File_Share_failures_Subcategory']
    failure node['win11STIG']['stigrule_253347']['Setting']['Detailed_File_Share_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253348','Manage')
  windows_audit_policy 'MPSSVC_Rule_Level_Policy_Change_successes_253348' do
    subcategory node['win11STIG']['stigrule_253348']['Setting']['MPSSVC_Rule_Level_Policy_Change_successes_Subcategory']
    success node['win11STIG']['stigrule_253348']['Setting']['MPSSVC_Rule_Level_Policy_Change_successes_Success']
    failure node['win11STIG']['stigrule_253348']['Setting']['MPSSVC_Rule_Level_Policy_Change_successes_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253349','Manage')
  windows_audit_policy 'MPSSVC_Rule_Level_Policy_Change_failures_253349' do
    subcategory node['win11STIG']['stigrule_253349']['Setting']['MPSSVC_Rule_Level_Policy_Change_failures_Subcategory']
    success node['win11STIG']['stigrule_253349']['Setting']['MPSSVC_Rule_Level_Policy_Change_failures_Success']
    failure node['win11STIG']['stigrule_253349']['Setting']['MPSSVC_Rule_Level_Policy_Change_failures_Failure']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253352','Manage')
  registry_key 'NoLockScreenSlideshow_253352' do
    key node['win11STIG']['stigrule_253352']['Setting']['NoLockScreenSlideshow_Key']
    values [{
      name: 'NoLockScreenSlideshow',
      type: node['win11STIG']['stigrule_253352']['Setting']['NoLockScreenSlideshow_ValueType'],
      data: node['win11STIG']['stigrule_253352']['Setting']['NoLockScreenSlideshow_ValueData']
    }]
    action node['win11STIG']['stigrule_253352']['Setting']['NoLockScreenSlideshow_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253360','Manage')
  registry_key 'AllowInsecureGuestAuth_253360' do
    key node['win11STIG']['stigrule_253360']['Setting']['AllowInsecureGuestAuth_Key']
    values [{
      name: 'AllowInsecureGuestAuth',
      type: node['win11STIG']['stigrule_253360']['Setting']['AllowInsecureGuestAuth_ValueType'],
      data: node['win11STIG']['stigrule_253360']['Setting']['AllowInsecureGuestAuth_ValueData']
    }]
    action node['win11STIG']['stigrule_253360']['Setting']['AllowInsecureGuestAuth_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253361','Manage')
  registry_key 'NC_ShowSharedAccessUI_253361' do
    key node['win11STIG']['stigrule_253361']['Setting']['NC_ShowSharedAccessUI_Key']
    values [{
      name: 'NC_ShowSharedAccessUI',
      type: node['win11STIG']['stigrule_253361']['Setting']['NC_ShowSharedAccessUI_ValueType'],
      data: node['win11STIG']['stigrule_253361']['Setting']['NC_ShowSharedAccessUI_ValueData']
    }]
    action node['win11STIG']['stigrule_253361']['Setting']['NC_ShowSharedAccessUI_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253365','Manage')
  registry_key 'fBlockNonDomain_253365' do
    key node['win11STIG']['stigrule_253365']['Setting']['fBlockNonDomain_Key']
    values [{
      name: 'fBlockNonDomain',
      type: node['win11STIG']['stigrule_253365']['Setting']['fBlockNonDomain_ValueType'],
      data: node['win11STIG']['stigrule_253365']['Setting']['fBlockNonDomain_ValueData']
    }]
    action node['win11STIG']['stigrule_253365']['Setting']['fBlockNonDomain_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253366','Manage')
  registry_key 'AutoConnectAllowedOEM_253366' do
    key node['win11STIG']['stigrule_253366']['Setting']['AutoConnectAllowedOEM_Key']
    values [{
      name: 'AutoConnectAllowedOEM',
      type: node['win11STIG']['stigrule_253366']['Setting']['AutoConnectAllowedOEM_ValueType'],
      data: node['win11STIG']['stigrule_253366']['Setting']['AutoConnectAllowedOEM_ValueData']
    }]
    action node['win11STIG']['stigrule_253366']['Setting']['AutoConnectAllowedOEM_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253367','Manage')
  registry_key 'ProcessCreationIncludeCmdLine_Enabled_253367' do
    key node['win11STIG']['stigrule_253367']['Setting']['ProcessCreationIncludeCmdLine_Enabled_Key']
    values [{
      name: 'ProcessCreationIncludeCmdLine_Enabled',
      type: node['win11STIG']['stigrule_253367']['Setting']['ProcessCreationIncludeCmdLine_Enabled_ValueType'],
      data: node['win11STIG']['stigrule_253367']['Setting']['ProcessCreationIncludeCmdLine_Enabled_ValueData']
    }]
    action node['win11STIG']['stigrule_253367']['Setting']['ProcessCreationIncludeCmdLine_Enabled_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253368','Manage')
  registry_key 'AllowProtectedCreds_253368' do
    key node['win11STIG']['stigrule_253368']['Setting']['AllowProtectedCreds_Key']
    values [{
      name: 'AllowProtectedCreds',
      type: node['win11STIG']['stigrule_253368']['Setting']['AllowProtectedCreds_ValueType'],
      data: node['win11STIG']['stigrule_253368']['Setting']['AllowProtectedCreds_ValueData']
    }]
    action node['win11STIG']['stigrule_253368']['Setting']['AllowProtectedCreds_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253372','Manage')
  registry_key 'DriverLoadPolicy_253372' do
    key node['win11STIG']['stigrule_253372']['Setting']['DriverLoadPolicy_Key']
    values [{
      name: 'DriverLoadPolicy',
      type: node['win11STIG']['stigrule_253372']['Setting']['DriverLoadPolicy_ValueType'],
      data: node['win11STIG']['stigrule_253372']['Setting']['DriverLoadPolicy_ValueData']
    }]
    action node['win11STIG']['stigrule_253372']['Setting']['DriverLoadPolicy_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253373','Manage')
  registry_key 'NoGPOListChanges_253373' do
    key node['win11STIG']['stigrule_253373']['Setting']['NoGPOListChanges_Key']
    values [{
      name: 'NoGPOListChanges',
      type: node['win11STIG']['stigrule_253373']['Setting']['NoGPOListChanges_ValueType'],
      data: node['win11STIG']['stigrule_253373']['Setting']['NoGPOListChanges_ValueData']
    }]
    action node['win11STIG']['stigrule_253373']['Setting']['NoGPOListChanges_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253374','Manage')
  registry_key 'DisableWebPnPDownload_253374' do
    key node['win11STIG']['stigrule_253374']['Setting']['DisableWebPnPDownload_Key']
    values [{
      name: 'DisableWebPnPDownload',
      type: node['win11STIG']['stigrule_253374']['Setting']['DisableWebPnPDownload_ValueType'],
      data: node['win11STIG']['stigrule_253374']['Setting']['DisableWebPnPDownload_ValueData']
    }]
    action node['win11STIG']['stigrule_253374']['Setting']['DisableWebPnPDownload_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253375','Manage')
  registry_key 'NoWebServices_253375' do
    key node['win11STIG']['stigrule_253375']['Setting']['NoWebServices_Key']
    values [{
      name: 'NoWebServices',
      type: node['win11STIG']['stigrule_253375']['Setting']['NoWebServices_ValueType'],
      data: node['win11STIG']['stigrule_253375']['Setting']['NoWebServices_ValueData']
    }]
    action node['win11STIG']['stigrule_253375']['Setting']['NoWebServices_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253376','Manage')
  registry_key 'DisableHTTPPrinting_253376' do
    key node['win11STIG']['stigrule_253376']['Setting']['DisableHTTPPrinting_Key']
    values [{
      name: 'DisableHTTPPrinting',
      type: node['win11STIG']['stigrule_253376']['Setting']['DisableHTTPPrinting_ValueType'],
      data: node['win11STIG']['stigrule_253376']['Setting']['DisableHTTPPrinting_ValueData']
    }]
    action node['win11STIG']['stigrule_253376']['Setting']['DisableHTTPPrinting_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253378','Manage')
  registry_key 'DontDisplayNetworkSelectionUI_253378' do
    key node['win11STIG']['stigrule_253378']['Setting']['DontDisplayNetworkSelectionUI_Key']
    values [{
      name: 'DontDisplayNetworkSelectionUI',
      type: node['win11STIG']['stigrule_253378']['Setting']['DontDisplayNetworkSelectionUI_ValueType'],
      data: node['win11STIG']['stigrule_253378']['Setting']['DontDisplayNetworkSelectionUI_ValueData']
    }]
    action node['win11STIG']['stigrule_253378']['Setting']['DontDisplayNetworkSelectionUI_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253380','Manage')
  registry_key 'DCSettingIndex_253380' do
    key node['win11STIG']['stigrule_253380']['Setting']['DCSettingIndex_Key']
    values [{
      name: 'DCSettingIndex',
      type: node['win11STIG']['stigrule_253380']['Setting']['DCSettingIndex_ValueType'],
      data: node['win11STIG']['stigrule_253380']['Setting']['DCSettingIndex_ValueData']
    }]
    action node['win11STIG']['stigrule_253380']['Setting']['DCSettingIndex_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253381','Manage')
  registry_key 'ACSettingIndex_253381' do
    key node['win11STIG']['stigrule_253381']['Setting']['ACSettingIndex_Key']
    values [{
      name: 'ACSettingIndex',
      type: node['win11STIG']['stigrule_253381']['Setting']['ACSettingIndex_ValueType'],
      data: node['win11STIG']['stigrule_253381']['Setting']['ACSettingIndex_ValueData']
    }]
    action node['win11STIG']['stigrule_253381']['Setting']['ACSettingIndex_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253382','Manage')
  registry_key 'fAllowToGetHelp_253382' do
    key node['win11STIG']['stigrule_253382']['Setting']['fAllowToGetHelp_Key']
    values [{
      name: 'fAllowToGetHelp',
      type: node['win11STIG']['stigrule_253382']['Setting']['fAllowToGetHelp_ValueType'],
      data: node['win11STIG']['stigrule_253382']['Setting']['fAllowToGetHelp_ValueData']
    }]
    action node['win11STIG']['stigrule_253382']['Setting']['fAllowToGetHelp_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253383','Manage')
  registry_key 'RestrictRemoteClients_253383' do
    key node['win11STIG']['stigrule_253383']['Setting']['RestrictRemoteClients_Key']
    values [{
      name: 'RestrictRemoteClients',
      type: node['win11STIG']['stigrule_253383']['Setting']['RestrictRemoteClients_ValueType'],
      data: node['win11STIG']['stigrule_253383']['Setting']['RestrictRemoteClients_ValueData']
    }]
    action node['win11STIG']['stigrule_253383']['Setting']['RestrictRemoteClients_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253384','Manage')
  registry_key 'MSAOptional_253384' do
    key node['win11STIG']['stigrule_253384']['Setting']['MSAOptional_Key']
    values [{
      name: 'MSAOptional',
      type: node['win11STIG']['stigrule_253384']['Setting']['MSAOptional_ValueType'],
      data: node['win11STIG']['stigrule_253384']['Setting']['MSAOptional_ValueData']
    }]
    action node['win11STIG']['stigrule_253384']['Setting']['MSAOptional_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253385','Manage')
  registry_key 'DisableInventory_253385' do
    key node['win11STIG']['stigrule_253385']['Setting']['DisableInventory_Key']
    values [{
      name: 'DisableInventory',
      type: node['win11STIG']['stigrule_253385']['Setting']['DisableInventory_ValueType'],
      data: node['win11STIG']['stigrule_253385']['Setting']['DisableInventory_ValueData']
    }]
    action node['win11STIG']['stigrule_253385']['Setting']['DisableInventory_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253386','Manage')
  registry_key 'NoAutoplayfornonVolume_253386' do
    key node['win11STIG']['stigrule_253386']['Setting']['NoAutoplayfornonVolume_Key']
    values [{
      name: 'NoAutoplayfornonVolume',
      type: node['win11STIG']['stigrule_253386']['Setting']['NoAutoplayfornonVolume_ValueType'],
      data: node['win11STIG']['stigrule_253386']['Setting']['NoAutoplayfornonVolume_ValueData']
    }]
    action node['win11STIG']['stigrule_253386']['Setting']['NoAutoplayfornonVolume_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253387','Manage')
  registry_key 'NoAutorun_253387' do
    key node['win11STIG']['stigrule_253387']['Setting']['NoAutorun_Key']
    values [{
      name: 'NoAutorun',
      type: node['win11STIG']['stigrule_253387']['Setting']['NoAutorun_ValueType'],
      data: node['win11STIG']['stigrule_253387']['Setting']['NoAutorun_ValueData']
    }]
    action node['win11STIG']['stigrule_253387']['Setting']['NoAutorun_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253388','Manage')
  registry_key 'NoDriveTypeAutoRun_253388' do
    key node['win11STIG']['stigrule_253388']['Setting']['NoDriveTypeAutoRun_Key']
    values [{
      name: 'NoDriveTypeAutoRun',
      type: node['win11STIG']['stigrule_253388']['Setting']['NoDriveTypeAutoRun_ValueType'],
      data: node['win11STIG']['stigrule_253388']['Setting']['NoDriveTypeAutoRun_ValueData']
    }]
    action node['win11STIG']['stigrule_253388']['Setting']['NoDriveTypeAutoRun_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253389','Manage')
  registry_key 'EnhancedAntiSpoofing_253389' do
    key node['win11STIG']['stigrule_253389']['Setting']['EnhancedAntiSpoofing_Key']
    values [{
      name: 'EnhancedAntiSpoofing',
      type: node['win11STIG']['stigrule_253389']['Setting']['EnhancedAntiSpoofing_ValueType'],
      data: node['win11STIG']['stigrule_253389']['Setting']['EnhancedAntiSpoofing_ValueData']
    }]
    action node['win11STIG']['stigrule_253389']['Setting']['EnhancedAntiSpoofing_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253390','Manage')
  registry_key 'DisableWindowsConsumerFeatures_253390' do
    key node['win11STIG']['stigrule_253390']['Setting']['DisableWindowsConsumerFeatures_Key']
    values [{
      name: 'DisableWindowsConsumerFeatures',
      type: node['win11STIG']['stigrule_253390']['Setting']['DisableWindowsConsumerFeatures_ValueType'],
      data: node['win11STIG']['stigrule_253390']['Setting']['DisableWindowsConsumerFeatures_ValueData']
    }]
    action node['win11STIG']['stigrule_253390']['Setting']['DisableWindowsConsumerFeatures_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253391','Manage')
  registry_key 'EnumerateAdministrators_253391' do
    key node['win11STIG']['stigrule_253391']['Setting']['EnumerateAdministrators_Key']
    values [{
      name: 'EnumerateAdministrators',
      type: node['win11STIG']['stigrule_253391']['Setting']['EnumerateAdministrators_ValueType'],
      data: node['win11STIG']['stigrule_253391']['Setting']['EnumerateAdministrators_ValueData']
    }]
    action node['win11STIG']['stigrule_253391']['Setting']['EnumerateAdministrators_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253393','Manage')
  registry_key 'AllowTelemetry_253393' do
    key node['win11STIG']['stigrule_253393']['Setting']['AllowTelemetry_Key']
    values [{
      name: 'AllowTelemetry',
      type: node['win11STIG']['stigrule_253393']['Setting']['AllowTelemetry_ValueType'],
      data: node['win11STIG']['stigrule_253393']['Setting']['AllowTelemetry_ValueData']
    }]
    action node['win11STIG']['stigrule_253393']['Setting']['AllowTelemetry_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253396','Manage')
  registry_key 'NoDataExecutionPrevention_253396' do
    key node['win11STIG']['stigrule_253396']['Setting']['NoDataExecutionPrevention_Key']
    values [{
      name: 'NoDataExecutionPrevention',
      type: node['win11STIG']['stigrule_253396']['Setting']['NoDataExecutionPrevention_ValueType'],
      data: node['win11STIG']['stigrule_253396']['Setting']['NoDataExecutionPrevention_ValueData']
    }]
    action node['win11STIG']['stigrule_253396']['Setting']['NoDataExecutionPrevention_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253397','Manage')
  registry_key 'NoHeapTerminationOnCorruption_253397' do
    key node['win11STIG']['stigrule_253397']['Setting']['NoHeapTerminationOnCorruption_Key']
    values [{
      name: 'NoHeapTerminationOnCorruption',
      type: node['win11STIG']['stigrule_253397']['Setting']['NoHeapTerminationOnCorruption_ValueType'],
      data: node['win11STIG']['stigrule_253397']['Setting']['NoHeapTerminationOnCorruption_ValueData']
    }]
    action node['win11STIG']['stigrule_253397']['Setting']['NoHeapTerminationOnCorruption_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253398','Manage')
  registry_key 'PreXPSP2ShellProtocolBehavior_253398' do
    key node['win11STIG']['stigrule_253398']['Setting']['PreXPSP2ShellProtocolBehavior_Key']
    values [{
      name: 'PreXPSP2ShellProtocolBehavior',
      type: node['win11STIG']['stigrule_253398']['Setting']['PreXPSP2ShellProtocolBehavior_ValueType'],
      data: node['win11STIG']['stigrule_253398']['Setting']['PreXPSP2ShellProtocolBehavior_ValueData']
    }]
    action node['win11STIG']['stigrule_253398']['Setting']['PreXPSP2ShellProtocolBehavior_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253401','Manage')
  registry_key 'MinimumPINLength_253401' do
    key node['win11STIG']['stigrule_253401']['Setting']['MinimumPINLength_Key']
    values [{
      name: 'MinimumPINLength',
      type: node['win11STIG']['stigrule_253401']['Setting']['MinimumPINLength_ValueType'],
      data: node['win11STIG']['stigrule_253401']['Setting']['MinimumPINLength_ValueData']
    }]
    action node['win11STIG']['stigrule_253401']['Setting']['MinimumPINLength_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253402','Manage')
  registry_key 'DisablePasswordSaving_253402' do
    key node['win11STIG']['stigrule_253402']['Setting']['DisablePasswordSaving_Key']
    values [{
      name: 'DisablePasswordSaving',
      type: node['win11STIG']['stigrule_253402']['Setting']['DisablePasswordSaving_ValueType'],
      data: node['win11STIG']['stigrule_253402']['Setting']['DisablePasswordSaving_ValueData']
    }]
    action node['win11STIG']['stigrule_253402']['Setting']['DisablePasswordSaving_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253403','Manage')
  registry_key 'fDisableCdm_253403' do
    key node['win11STIG']['stigrule_253403']['Setting']['fDisableCdm_Key']
    values [{
      name: 'fDisableCdm',
      type: node['win11STIG']['stigrule_253403']['Setting']['fDisableCdm_ValueType'],
      data: node['win11STIG']['stigrule_253403']['Setting']['fDisableCdm_ValueData']
    }]
    action node['win11STIG']['stigrule_253403']['Setting']['fDisableCdm_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253404','Manage')
  registry_key 'fPromptForPassword_253404' do
    key node['win11STIG']['stigrule_253404']['Setting']['fPromptForPassword_Key']
    values [{
      name: 'fPromptForPassword',
      type: node['win11STIG']['stigrule_253404']['Setting']['fPromptForPassword_ValueType'],
      data: node['win11STIG']['stigrule_253404']['Setting']['fPromptForPassword_ValueData']
    }]
    action node['win11STIG']['stigrule_253404']['Setting']['fPromptForPassword_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253405','Manage')
  registry_key 'fEncryptRPCTraffic_253405' do
    key node['win11STIG']['stigrule_253405']['Setting']['fEncryptRPCTraffic_Key']
    values [{
      name: 'fEncryptRPCTraffic',
      type: node['win11STIG']['stigrule_253405']['Setting']['fEncryptRPCTraffic_ValueType'],
      data: node['win11STIG']['stigrule_253405']['Setting']['fEncryptRPCTraffic_ValueData']
    }]
    action node['win11STIG']['stigrule_253405']['Setting']['fEncryptRPCTraffic_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253406','Manage')
  registry_key 'MinEncryptionLevel_253406' do
    key node['win11STIG']['stigrule_253406']['Setting']['MinEncryptionLevel_Key']
    values [{
      name: 'MinEncryptionLevel',
      type: node['win11STIG']['stigrule_253406']['Setting']['MinEncryptionLevel_ValueType'],
      data: node['win11STIG']['stigrule_253406']['Setting']['MinEncryptionLevel_ValueData']
    }]
    action node['win11STIG']['stigrule_253406']['Setting']['MinEncryptionLevel_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253407','Manage')
  registry_key 'DisableEnclosureDownload_253407' do
    key node['win11STIG']['stigrule_253407']['Setting']['DisableEnclosureDownload_Key']
    values [{
      name: 'DisableEnclosureDownload',
      type: node['win11STIG']['stigrule_253407']['Setting']['DisableEnclosureDownload_ValueType'],
      data: node['win11STIG']['stigrule_253407']['Setting']['DisableEnclosureDownload_ValueData']
    }]
    action node['win11STIG']['stigrule_253407']['Setting']['DisableEnclosureDownload_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253408','Manage')
  registry_key 'AllowBasicAuthInClear_253408' do
    key node['win11STIG']['stigrule_253408']['Setting']['AllowBasicAuthInClear_Key']
    values [{
      name: 'AllowBasicAuthInClear',
      type: node['win11STIG']['stigrule_253408']['Setting']['AllowBasicAuthInClear_ValueType'],
      data: node['win11STIG']['stigrule_253408']['Setting']['AllowBasicAuthInClear_ValueData']
    }]
    action node['win11STIG']['stigrule_253408']['Setting']['AllowBasicAuthInClear_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253409','Manage')
  registry_key 'AllowIndexingEncryptedStoresOrItems_253409' do
    key node['win11STIG']['stigrule_253409']['Setting']['AllowIndexingEncryptedStoresOrItems_Key']
    values [{
      name: 'AllowIndexingEncryptedStoresOrItems',
      type: node['win11STIG']['stigrule_253409']['Setting']['AllowIndexingEncryptedStoresOrItems_ValueType'],
      data: node['win11STIG']['stigrule_253409']['Setting']['AllowIndexingEncryptedStoresOrItems_ValueData']
    }]
    action node['win11STIG']['stigrule_253409']['Setting']['AllowIndexingEncryptedStoresOrItems_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253410','Manage')
  registry_key 'EnableUserControl_253410' do
    key node['win11STIG']['stigrule_253410']['Setting']['EnableUserControl_Key']
    values [{
      name: 'EnableUserControl',
      type: node['win11STIG']['stigrule_253410']['Setting']['EnableUserControl_ValueType'],
      data: node['win11STIG']['stigrule_253410']['Setting']['EnableUserControl_ValueData']
    }]
    action node['win11STIG']['stigrule_253410']['Setting']['EnableUserControl_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253411','Manage')
  registry_key 'AlwaysInstallElevated_253411' do
    key node['win11STIG']['stigrule_253411']['Setting']['AlwaysInstallElevated_Key']
    values [{
      name: 'AlwaysInstallElevated',
      type: node['win11STIG']['stigrule_253411']['Setting']['AlwaysInstallElevated_ValueType'],
      data: node['win11STIG']['stigrule_253411']['Setting']['AlwaysInstallElevated_ValueData']
    }]
    action node['win11STIG']['stigrule_253411']['Setting']['AlwaysInstallElevated_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253412','Manage')
  registry_key 'SafeForScripting_253412' do
    key node['win11STIG']['stigrule_253412']['Setting']['SafeForScripting_Key']
    values [{
      name: 'SafeForScripting',
      type: node['win11STIG']['stigrule_253412']['Setting']['SafeForScripting_ValueType'],
      data: node['win11STIG']['stigrule_253412']['Setting']['SafeForScripting_ValueData']
    }]
    action node['win11STIG']['stigrule_253412']['Setting']['SafeForScripting_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253413','Manage')
  registry_key 'DisableAutomaticRestartSignOn_253413' do
    key node['win11STIG']['stigrule_253413']['Setting']['DisableAutomaticRestartSignOn_Key']
    values [{
      name: 'DisableAutomaticRestartSignOn',
      type: node['win11STIG']['stigrule_253413']['Setting']['DisableAutomaticRestartSignOn_ValueType'],
      data: node['win11STIG']['stigrule_253413']['Setting']['DisableAutomaticRestartSignOn_ValueData']
    }]
    action node['win11STIG']['stigrule_253413']['Setting']['DisableAutomaticRestartSignOn_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253414','Manage')
  registry_key 'EnableScriptBlockLogging_253414' do
    key node['win11STIG']['stigrule_253414']['Setting']['EnableScriptBlockLogging_Key']
    values [{
      name: 'EnableScriptBlockLogging',
      type: node['win11STIG']['stigrule_253414']['Setting']['EnableScriptBlockLogging_ValueType'],
      data: node['win11STIG']['stigrule_253414']['Setting']['EnableScriptBlockLogging_ValueData']
    }]
    action node['win11STIG']['stigrule_253414']['Setting']['EnableScriptBlockLogging_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253415','Manage')
  registry_key 'EnableTranscripting_253415' do
    key node['win11STIG']['stigrule_253415']['Setting']['EnableTranscripting_Key']
    values [{
      name: 'EnableTranscripting',
      type: node['win11STIG']['stigrule_253415']['Setting']['EnableTranscripting_ValueType'],
      data: node['win11STIG']['stigrule_253415']['Setting']['EnableTranscripting_ValueData']
    }]
    action node['win11STIG']['stigrule_253415']['Setting']['EnableTranscripting_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253416','Manage')
  registry_key 'AllowBasic_253416' do
    key node['win11STIG']['stigrule_253416']['Setting']['AllowBasic_Key']
    values [{
      name: 'AllowBasic',
      type: node['win11STIG']['stigrule_253416']['Setting']['AllowBasic_ValueType'],
      data: node['win11STIG']['stigrule_253416']['Setting']['AllowBasic_ValueData']
    }]
    action node['win11STIG']['stigrule_253416']['Setting']['AllowBasic_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253418','Manage')
  registry_key 'AllowBasic_253418' do
    key node['win11STIG']['stigrule_253418']['Setting']['AllowBasic_Key']
    values [{
      name: 'AllowBasic',
      type: node['win11STIG']['stigrule_253418']['Setting']['AllowBasic_ValueType'],
      data: node['win11STIG']['stigrule_253418']['Setting']['AllowBasic_ValueData']
    }]
    action node['win11STIG']['stigrule_253418']['Setting']['AllowBasic_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253417','Manage')
  registry_key 'AllowUnencryptedTraffic_253417' do
    key node['win11STIG']['stigrule_253417']['Setting']['AllowUnencryptedTraffic_Key']
    values [{
      name: 'AllowUnencryptedTraffic',
      type: node['win11STIG']['stigrule_253417']['Setting']['AllowUnencryptedTraffic_ValueType'],
      data: node['win11STIG']['stigrule_253417']['Setting']['AllowUnencryptedTraffic_ValueData']
    }]
    action node['win11STIG']['stigrule_253417']['Setting']['AllowUnencryptedTraffic_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253419','Manage')
  registry_key 'AllowUnencryptedTraffic_253419' do
    key node['win11STIG']['stigrule_253419']['Setting']['AllowUnencryptedTraffic_Key']
    values [{
      name: 'AllowUnencryptedTraffic',
      type: node['win11STIG']['stigrule_253419']['Setting']['AllowUnencryptedTraffic_ValueType'],
      data: node['win11STIG']['stigrule_253419']['Setting']['AllowUnencryptedTraffic_ValueData']
    }]
    action node['win11STIG']['stigrule_253419']['Setting']['AllowUnencryptedTraffic_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253420','Manage')
  registry_key 'DisableRunAs_253420' do
    key node['win11STIG']['stigrule_253420']['Setting']['DisableRunAs_Key']
    values [{
      name: 'DisableRunAs',
      type: node['win11STIG']['stigrule_253420']['Setting']['DisableRunAs_ValueType'],
      data: node['win11STIG']['stigrule_253420']['Setting']['DisableRunAs_ValueData']
    }]
    action node['win11STIG']['stigrule_253420']['Setting']['DisableRunAs_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253421','Manage')
  registry_key 'AllowDigest_253421' do
    key node['win11STIG']['stigrule_253421']['Setting']['AllowDigest_Key']
    values [{
      name: 'AllowDigest',
      type: node['win11STIG']['stigrule_253421']['Setting']['AllowDigest_ValueType'],
      data: node['win11STIG']['stigrule_253421']['Setting']['AllowDigest_ValueData']
    }]
    action node['win11STIG']['stigrule_253421']['Setting']['AllowDigest_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253423','Manage')
  registry_key 'AllowDomainPINLogon_253423' do
    key node['win11STIG']['stigrule_253423']['Setting']['AllowDomainPINLogon_Key']
    values [{
      name: 'AllowDomainPINLogon',
      type: node['win11STIG']['stigrule_253423']['Setting']['AllowDomainPINLogon_ValueType'],
      data: node['win11STIG']['stigrule_253423']['Setting']['AllowDomainPINLogon_ValueData']
    }]
    action node['win11STIG']['stigrule_253423']['Setting']['AllowDomainPINLogon_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253424','Manage')
  registry_key 'AllowWindowsInkWorkspace_253424' do
    key node['win11STIG']['stigrule_253424']['Setting']['AllowWindowsInkWorkspace_Key']
    values [{
      name: 'AllowWindowsInkWorkspace',
      type: node['win11STIG']['stigrule_253424']['Setting']['AllowWindowsInkWorkspace_ValueType'],
      data: node['win11STIG']['stigrule_253424']['Setting']['AllowWindowsInkWorkspace_ValueData']
    }]
    action node['win11STIG']['stigrule_253424']['Setting']['AllowWindowsInkWorkspace_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253425','Manage')
  registry_key 'DisableThirdPartySuggestions_253425' do
    key node['win11STIG']['stigrule_253425']['Setting']['DisableThirdPartySuggestions_Key']
    values [{
      name: 'DisableThirdPartySuggestions',
      type: node['win11STIG']['stigrule_253425']['Setting']['DisableThirdPartySuggestions_ValueType'],
      data: node['win11STIG']['stigrule_253425']['Setting']['DisableThirdPartySuggestions_ValueData']
    }]
    action node['win11STIG']['stigrule_253425']['Setting']['DisableThirdPartySuggestions_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253426','Manage')
  registry_key 'DeviceEnumerationPolicy_253426' do
    key node['win11STIG']['stigrule_253426']['Setting']['DeviceEnumerationPolicy_Key']
    values [{
      name: 'DeviceEnumerationPolicy',
      type: node['win11STIG']['stigrule_253426']['Setting']['DeviceEnumerationPolicy_ValueType'],
      data: node['win11STIG']['stigrule_253426']['Setting']['DeviceEnumerationPolicy_ValueData']
    }]
    action node['win11STIG']['stigrule_253426']['Setting']['DeviceEnumerationPolicy_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253432','Manage')
  windows_security_policy 'Administrator_account_status_253432' do
    secoption node['win11STIG']['stigrule_253432']['Setting']['Administrator_account_status_Secoption']
    secvalue node['win11STIG']['stigrule_253432']['Setting']['Administrator_account_status_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253433','Manage')
  windows_security_policy 'Accounts_Guest_account_status_253433' do
    secoption node['win11STIG']['stigrule_253433']['Setting']['Accounts_Guest_account_status_Secoption']
    secvalue node['win11STIG']['stigrule_253433']['Setting']['Accounts_Guest_account_status_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253434','Manage')
  registry_key 'LimitBlankPasswordUse_253434' do
    key node['win11STIG']['stigrule_253434']['Setting']['LimitBlankPasswordUse_Key']
    values [{
      name: 'LimitBlankPasswordUse',
      type: node['win11STIG']['stigrule_253434']['Setting']['LimitBlankPasswordUse_ValueType'],
      data: node['win11STIG']['stigrule_253434']['Setting']['LimitBlankPasswordUse_ValueData']
    }]
    action node['win11STIG']['stigrule_253434']['Setting']['LimitBlankPasswordUse_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253435','Manage')
  windows_security_policy 'Rename_administrator_account_253435' do
    secoption node['win11STIG']['stigrule_253435']['Setting']['Rename_administrator_account_Secoption']
    secvalue node['win11STIG']['stigrule_253435']['Setting']['Rename_administrator_account_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253436','Manage')
  windows_security_policy 'Accounts_Rename_guest_account_253436' do
    secoption node['win11STIG']['stigrule_253436']['Setting']['Accounts_Rename_guest_account_Secoption']
    secvalue node['win11STIG']['stigrule_253436']['Setting']['Accounts_Rename_guest_account_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253437','Manage')
  registry_key 'SCENoApplyLegacyAuditPolicy_253437' do
    key node['win11STIG']['stigrule_253437']['Setting']['SCENoApplyLegacyAuditPolicy_Key']
    values [{
      name: 'SCENoApplyLegacyAuditPolicy',
      type: node['win11STIG']['stigrule_253437']['Setting']['SCENoApplyLegacyAuditPolicy_ValueType'],
      data: node['win11STIG']['stigrule_253437']['Setting']['SCENoApplyLegacyAuditPolicy_ValueData']
    }]
    action node['win11STIG']['stigrule_253437']['Setting']['SCENoApplyLegacyAuditPolicy_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253438','Manage')
  registry_key 'RequireSignOrSeal_253438' do
    key node['win11STIG']['stigrule_253438']['Setting']['RequireSignOrSeal_Key']
    values [{
      name: 'RequireSignOrSeal',
      type: node['win11STIG']['stigrule_253438']['Setting']['RequireSignOrSeal_ValueType'],
      data: node['win11STIG']['stigrule_253438']['Setting']['RequireSignOrSeal_ValueData']
    }]
    action node['win11STIG']['stigrule_253438']['Setting']['RequireSignOrSeal_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253439','Manage')
  registry_key 'SealSecureChannel_253439' do
    key node['win11STIG']['stigrule_253439']['Setting']['SealSecureChannel_Key']
    values [{
      name: 'SealSecureChannel',
      type: node['win11STIG']['stigrule_253439']['Setting']['SealSecureChannel_ValueType'],
      data: node['win11STIG']['stigrule_253439']['Setting']['SealSecureChannel_ValueData']
    }]
    action node['win11STIG']['stigrule_253439']['Setting']['SealSecureChannel_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253440','Manage')
  registry_key 'SignSecureChannel_253440' do
    key node['win11STIG']['stigrule_253440']['Setting']['SignSecureChannel_Key']
    values [{
      name: 'SignSecureChannel',
      type: node['win11STIG']['stigrule_253440']['Setting']['SignSecureChannel_ValueType'],
      data: node['win11STIG']['stigrule_253440']['Setting']['SignSecureChannel_ValueData']
    }]
    action node['win11STIG']['stigrule_253440']['Setting']['SignSecureChannel_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253441','Manage')
  registry_key 'DisablePasswordChange_253441' do
    key node['win11STIG']['stigrule_253441']['Setting']['DisablePasswordChange_Key']
    values [{
      name: 'DisablePasswordChange',
      type: node['win11STIG']['stigrule_253441']['Setting']['DisablePasswordChange_ValueType'],
      data: node['win11STIG']['stigrule_253441']['Setting']['DisablePasswordChange_ValueData']
    }]
    action node['win11STIG']['stigrule_253441']['Setting']['DisablePasswordChange_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253442','Manage')
  registry_key 'MaximumPasswordAge_253442' do
    key node['win11STIG']['stigrule_253442']['Setting']['MaximumPasswordAge_Key']
    values [{
      name: 'MaximumPasswordAge',
      type: node['win11STIG']['stigrule_253442']['Setting']['MaximumPasswordAge_ValueType'],
      data: node['win11STIG']['stigrule_253442']['Setting']['MaximumPasswordAge_ValueData']
    }]
    action node['win11STIG']['stigrule_253442']['Setting']['MaximumPasswordAge_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253443','Manage')
  registry_key 'RequireStrongKey_253443' do
    key node['win11STIG']['stigrule_253443']['Setting']['RequireStrongKey_Key']
    values [{
      name: 'RequireStrongKey',
      type: node['win11STIG']['stigrule_253443']['Setting']['RequireStrongKey_ValueType'],
      data: node['win11STIG']['stigrule_253443']['Setting']['RequireStrongKey_ValueData']
    }]
    action node['win11STIG']['stigrule_253443']['Setting']['RequireStrongKey_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253444','Manage')
  registry_key 'InactivityTimeoutSecs_253444' do
    key node['win11STIG']['stigrule_253444']['Setting']['InactivityTimeoutSecs_Key']
    values [{
      name: 'InactivityTimeoutSecs',
      type: node['win11STIG']['stigrule_253444']['Setting']['InactivityTimeoutSecs_ValueType'],
      data: node['win11STIG']['stigrule_253444']['Setting']['InactivityTimeoutSecs_ValueData']
    }]
    action node['win11STIG']['stigrule_253444']['Setting']['InactivityTimeoutSecs_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253445','Manage')
  registry_key 'LegalNoticeText_253445' do
    key node['win11STIG']['stigrule_253445']['Setting']['LegalNoticeText_Key']
    values [{
      name: 'LegalNoticeText',
      type: node['win11STIG']['stigrule_253445']['Setting']['LegalNoticeText_ValueType'],
      data: node['win11STIG']['stigrule_253445']['Setting']['LegalNoticeText_ValueData']
    }]
    action node['win11STIG']['stigrule_253445']['Setting']['LegalNoticeText_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253446','Manage')
  registry_key 'LegalNoticeCaption_253446' do
    key node['win11STIG']['stigrule_253446']['Setting']['LegalNoticeCaption_Key']
    values [{
      name: 'LegalNoticeCaption',
      type: node['win11STIG']['stigrule_253446']['Setting']['LegalNoticeCaption_ValueType'],
      data: node['win11STIG']['stigrule_253446']['Setting']['LegalNoticeCaption_ValueData']
    }]
    action node['win11STIG']['stigrule_253446']['Setting']['LegalNoticeCaption_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253447','Manage')
  registry_key 'CachedLogonsCount_253447' do
    key node['win11STIG']['stigrule_253447']['Setting']['CachedLogonsCount_Key']
    values [{
      name: 'CachedLogonsCount',
      type: node['win11STIG']['stigrule_253447']['Setting']['CachedLogonsCount_ValueType'],
      data: node['win11STIG']['stigrule_253447']['Setting']['CachedLogonsCount_ValueData']
    }]
    action node['win11STIG']['stigrule_253447']['Setting']['CachedLogonsCount_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253448','Manage')
  registry_key 'SCRemoveOption_253448' do
    key node['win11STIG']['stigrule_253448']['Setting']['SCRemoveOption_Key']
    values [{
      name: 'SCRemoveOption',
      type: node['win11STIG']['stigrule_253448']['Setting']['SCRemoveOption_ValueType'],
      data: node['win11STIG']['stigrule_253448']['Setting']['SCRemoveOption_ValueData']
    }]
    action node['win11STIG']['stigrule_253448']['Setting']['SCRemoveOption_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253449','Manage')
  registry_key 'RequireSecuritySignature_253449' do
    key node['win11STIG']['stigrule_253449']['Setting']['RequireSecuritySignature_Key']
    values [{
      name: 'RequireSecuritySignature',
      type: node['win11STIG']['stigrule_253449']['Setting']['RequireSecuritySignature_ValueType'],
      data: node['win11STIG']['stigrule_253449']['Setting']['RequireSecuritySignature_ValueData']
    }]
    action node['win11STIG']['stigrule_253449']['Setting']['RequireSecuritySignature_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253451','Manage')
  registry_key 'RequireSecuritySignature_253451' do
    key node['win11STIG']['stigrule_253451']['Setting']['RequireSecuritySignature_Key']
    values [{
      name: 'RequireSecuritySignature',
      type: node['win11STIG']['stigrule_253451']['Setting']['RequireSecuritySignature_ValueType'],
      data: node['win11STIG']['stigrule_253451']['Setting']['RequireSecuritySignature_ValueData']
    }]
    action node['win11STIG']['stigrule_253451']['Setting']['RequireSecuritySignature_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253450','Manage')
  registry_key 'EnablePlainTextPassword_253450' do
    key node['win11STIG']['stigrule_253450']['Setting']['EnablePlainTextPassword_Key']
    values [{
      name: 'EnablePlainTextPassword',
      type: node['win11STIG']['stigrule_253450']['Setting']['EnablePlainTextPassword_ValueType'],
      data: node['win11STIG']['stigrule_253450']['Setting']['EnablePlainTextPassword_ValueData']
    }]
    action node['win11STIG']['stigrule_253450']['Setting']['EnablePlainTextPassword_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253452','Manage')
  windows_security_policy 'Allow_anonymous_SID_Name_translation_253452' do
    secoption node['win11STIG']['stigrule_253452']['Setting']['Allow_anonymous_SID_Name_translation_Secoption']
    secvalue node['win11STIG']['stigrule_253452']['Setting']['Allow_anonymous_SID_Name_translation_Secvalue']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253453','Manage')
  registry_key 'RestrictAnonymousSAM_253453' do
    key node['win11STIG']['stigrule_253453']['Setting']['RestrictAnonymousSAM_Key']
    values [{
      name: 'RestrictAnonymousSAM',
      type: node['win11STIG']['stigrule_253453']['Setting']['RestrictAnonymousSAM_ValueType'],
      data: node['win11STIG']['stigrule_253453']['Setting']['RestrictAnonymousSAM_ValueData']
    }]
    action node['win11STIG']['stigrule_253453']['Setting']['RestrictAnonymousSAM_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253454','Manage')
  registry_key 'RestrictAnonymous_253454' do
    key node['win11STIG']['stigrule_253454']['Setting']['RestrictAnonymous_Key']
    values [{
      name: 'RestrictAnonymous',
      type: node['win11STIG']['stigrule_253454']['Setting']['RestrictAnonymous_ValueType'],
      data: node['win11STIG']['stigrule_253454']['Setting']['RestrictAnonymous_ValueData']
    }]
    action node['win11STIG']['stigrule_253454']['Setting']['RestrictAnonymous_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253455','Manage')
  registry_key 'EveryoneIncludesAnonymous_253455' do
    key node['win11STIG']['stigrule_253455']['Setting']['EveryoneIncludesAnonymous_Key']
    values [{
      name: 'EveryoneIncludesAnonymous',
      type: node['win11STIG']['stigrule_253455']['Setting']['EveryoneIncludesAnonymous_ValueType'],
      data: node['win11STIG']['stigrule_253455']['Setting']['EveryoneIncludesAnonymous_ValueData']
    }]
    action node['win11STIG']['stigrule_253455']['Setting']['EveryoneIncludesAnonymous_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253456','Manage')
  registry_key 'RestrictNullSessAccess_253456' do
    key node['win11STIG']['stigrule_253456']['Setting']['RestrictNullSessAccess_Key']
    values [{
      name: 'RestrictNullSessAccess',
      type: node['win11STIG']['stigrule_253456']['Setting']['RestrictNullSessAccess_ValueType'],
      data: node['win11STIG']['stigrule_253456']['Setting']['RestrictNullSessAccess_ValueData']
    }]
    action node['win11STIG']['stigrule_253456']['Setting']['RestrictNullSessAccess_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253458','Manage')
  registry_key 'allownullsessionfallback_253458' do
    key node['win11STIG']['stigrule_253458']['Setting']['allownullsessionfallback_Key']
    values [{
      name: 'allownullsessionfallback',
      type: node['win11STIG']['stigrule_253458']['Setting']['allownullsessionfallback_ValueType'],
      data: node['win11STIG']['stigrule_253458']['Setting']['allownullsessionfallback_ValueData']
    }]
    action node['win11STIG']['stigrule_253458']['Setting']['allownullsessionfallback_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253459','Manage')
  registry_key 'AllowOnlineID_253459' do
    key node['win11STIG']['stigrule_253459']['Setting']['AllowOnlineID_Key']
    values [{
      name: 'AllowOnlineID',
      type: node['win11STIG']['stigrule_253459']['Setting']['AllowOnlineID_ValueType'],
      data: node['win11STIG']['stigrule_253459']['Setting']['AllowOnlineID_ValueData']
    }]
    action node['win11STIG']['stigrule_253459']['Setting']['AllowOnlineID_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253460','Manage')
  registry_key 'SupportedEncryptionTypes_253460' do
    key node['win11STIG']['stigrule_253460']['Setting']['SupportedEncryptionTypes_Key']
    values [{
      name: 'SupportedEncryptionTypes',
      type: node['win11STIG']['stigrule_253460']['Setting']['SupportedEncryptionTypes_ValueType'],
      data: node['win11STIG']['stigrule_253460']['Setting']['SupportedEncryptionTypes_ValueData']
    }]
    action node['win11STIG']['stigrule_253460']['Setting']['SupportedEncryptionTypes_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253461','Manage')
  registry_key 'NoLMHash_253461' do
    key node['win11STIG']['stigrule_253461']['Setting']['NoLMHash_Key']
    values [{
      name: 'NoLMHash',
      type: node['win11STIG']['stigrule_253461']['Setting']['NoLMHash_ValueType'],
      data: node['win11STIG']['stigrule_253461']['Setting']['NoLMHash_ValueData']
    }]
    action node['win11STIG']['stigrule_253461']['Setting']['NoLMHash_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253462','Manage')
  registry_key 'LmCompatibilityLevel_253462' do
    key node['win11STIG']['stigrule_253462']['Setting']['LmCompatibilityLevel_Key']
    values [{
      name: 'LmCompatibilityLevel',
      type: node['win11STIG']['stigrule_253462']['Setting']['LmCompatibilityLevel_ValueType'],
      data: node['win11STIG']['stigrule_253462']['Setting']['LmCompatibilityLevel_ValueData']
    }]
    action node['win11STIG']['stigrule_253462']['Setting']['LmCompatibilityLevel_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253463','Manage')
  registry_key 'LDAPClientIntegrity_253463' do
    key node['win11STIG']['stigrule_253463']['Setting']['LDAPClientIntegrity_Key']
    values [{
      name: 'LDAPClientIntegrity',
      type: node['win11STIG']['stigrule_253463']['Setting']['LDAPClientIntegrity_ValueType'],
      data: node['win11STIG']['stigrule_253463']['Setting']['LDAPClientIntegrity_ValueData']
    }]
    action node['win11STIG']['stigrule_253463']['Setting']['LDAPClientIntegrity_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253464','Manage')
  registry_key 'NTLMMinClientSec_253464' do
    key node['win11STIG']['stigrule_253464']['Setting']['NTLMMinClientSec_Key']
    values [{
      name: 'NTLMMinClientSec',
      type: node['win11STIG']['stigrule_253464']['Setting']['NTLMMinClientSec_ValueType'],
      data: node['win11STIG']['stigrule_253464']['Setting']['NTLMMinClientSec_ValueData']
    }]
    action node['win11STIG']['stigrule_253464']['Setting']['NTLMMinClientSec_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253465','Manage')
  registry_key 'NTLMMinServerSec_253465' do
    key node['win11STIG']['stigrule_253465']['Setting']['NTLMMinServerSec_Key']
    values [{
      name: 'NTLMMinServerSec',
      type: node['win11STIG']['stigrule_253465']['Setting']['NTLMMinServerSec_ValueType'],
      data: node['win11STIG']['stigrule_253465']['Setting']['NTLMMinServerSec_ValueData']
    }]
    action node['win11STIG']['stigrule_253465']['Setting']['NTLMMinServerSec_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253466','Manage')
  registry_key 'Enabled_253466' do
    key node['win11STIG']['stigrule_253466']['Setting']['Enabled_Key']
    values [{
      name: 'Enabled',
      type: node['win11STIG']['stigrule_253466']['Setting']['Enabled_ValueType'],
      data: node['win11STIG']['stigrule_253466']['Setting']['Enabled_ValueData']
    }]
    action node['win11STIG']['stigrule_253466']['Setting']['Enabled_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253467','Manage')
  registry_key 'ProtectionMode_253467' do
    key node['win11STIG']['stigrule_253467']['Setting']['ProtectionMode_Key']
    values [{
      name: 'ProtectionMode',
      type: node['win11STIG']['stigrule_253467']['Setting']['ProtectionMode_ValueType'],
      data: node['win11STIG']['stigrule_253467']['Setting']['ProtectionMode_ValueData']
    }]
    action node['win11STIG']['stigrule_253467']['Setting']['ProtectionMode_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253468','Manage')
  registry_key 'FilterAdministratorToken_253468' do
    key node['win11STIG']['stigrule_253468']['Setting']['FilterAdministratorToken_Key']
    values [{
      name: 'FilterAdministratorToken',
      type: node['win11STIG']['stigrule_253468']['Setting']['FilterAdministratorToken_ValueType'],
      data: node['win11STIG']['stigrule_253468']['Setting']['FilterAdministratorToken_ValueData']
    }]
    action node['win11STIG']['stigrule_253468']['Setting']['FilterAdministratorToken_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253469','Manage')
  registry_key 'ConsentPromptBehaviorAdmin_253469' do
    key node['win11STIG']['stigrule_253469']['Setting']['ConsentPromptBehaviorAdmin_Key']
    values [{
      name: 'ConsentPromptBehaviorAdmin',
      type: node['win11STIG']['stigrule_253469']['Setting']['ConsentPromptBehaviorAdmin_ValueType'],
      data: node['win11STIG']['stigrule_253469']['Setting']['ConsentPromptBehaviorAdmin_ValueData']
    }]
    action node['win11STIG']['stigrule_253469']['Setting']['ConsentPromptBehaviorAdmin_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253471','Manage')
  registry_key 'ConsentPromptBehaviorUser_253471' do
    key node['win11STIG']['stigrule_253471']['Setting']['ConsentPromptBehaviorUser_Key']
    values [{
      name: 'ConsentPromptBehaviorUser',
      type: node['win11STIG']['stigrule_253471']['Setting']['ConsentPromptBehaviorUser_ValueType'],
      data: node['win11STIG']['stigrule_253471']['Setting']['ConsentPromptBehaviorUser_ValueData']
    }]
    action node['win11STIG']['stigrule_253471']['Setting']['ConsentPromptBehaviorUser_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253472','Manage')
  registry_key 'EnableInstallerDetection_253472' do
    key node['win11STIG']['stigrule_253472']['Setting']['EnableInstallerDetection_Key']
    values [{
      name: 'EnableInstallerDetection',
      type: node['win11STIG']['stigrule_253472']['Setting']['EnableInstallerDetection_ValueType'],
      data: node['win11STIG']['stigrule_253472']['Setting']['EnableInstallerDetection_ValueData']
    }]
    action node['win11STIG']['stigrule_253472']['Setting']['EnableInstallerDetection_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253473','Manage')
  registry_key 'EnableSecureUIAPaths_253473' do
    key node['win11STIG']['stigrule_253473']['Setting']['EnableSecureUIAPaths_Key']
    values [{
      name: 'EnableSecureUIAPaths',
      type: node['win11STIG']['stigrule_253473']['Setting']['EnableSecureUIAPaths_ValueType'],
      data: node['win11STIG']['stigrule_253473']['Setting']['EnableSecureUIAPaths_ValueData']
    }]
    action node['win11STIG']['stigrule_253473']['Setting']['EnableSecureUIAPaths_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253474','Manage')
  registry_key 'EnableLUA_253474' do
    key node['win11STIG']['stigrule_253474']['Setting']['EnableLUA_Key']
    values [{
      name: 'EnableLUA',
      type: node['win11STIG']['stigrule_253474']['Setting']['EnableLUA_ValueType'],
      data: node['win11STIG']['stigrule_253474']['Setting']['EnableLUA_ValueData']
    }]
    action node['win11STIG']['stigrule_253474']['Setting']['EnableLUA_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253475','Manage')
  registry_key 'EnableVirtualization_253475' do
    key node['win11STIG']['stigrule_253475']['Setting']['EnableVirtualization_Key']
    values [{
      name: 'EnableVirtualization',
      type: node['win11STIG']['stigrule_253475']['Setting']['EnableVirtualization_ValueType'],
      data: node['win11STIG']['stigrule_253475']['Setting']['EnableVirtualization_ValueData']
    }]
    action node['win11STIG']['stigrule_253475']['Setting']['EnableVirtualization_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253477','Manage')
  registry_key 'NoToastApplicationNotificationOnLockScreen_253477' do
    key node['win11STIG']['stigrule_253477']['Setting']['NoToastApplicationNotificationOnLockScreen_Key']
    values [{
      name: 'NoToastApplicationNotificationOnLockScreen',
      type: node['win11STIG']['stigrule_253477']['Setting']['NoToastApplicationNotificationOnLockScreen_ValueType'],
      data: node['win11STIG']['stigrule_253477']['Setting']['NoToastApplicationNotificationOnLockScreen_ValueData']
    }]
    action node['win11STIG']['stigrule_253477']['Setting']['NoToastApplicationNotificationOnLockScreen_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253478','Manage')
  registry_key 'SaveZoneInformation_253478' do
    key node['win11STIG']['stigrule_253478']['Setting']['SaveZoneInformation_Key']
    values [{
      name: 'SaveZoneInformation',
      type: node['win11STIG']['stigrule_253478']['Setting']['SaveZoneInformation_ValueType'],
      data: node['win11STIG']['stigrule_253478']['Setting']['SaveZoneInformation_ValueData']
    }]
    action node['win11STIG']['stigrule_253478']['Setting']['SaveZoneInformation_Ensure']
    recursive true
  end
end
if node.exist?('win11STIG','stigrule_253479','Manage')
  windows_user_privilege 'Access_Credential_Manager_as_a_trusted_caller_253479' do
    privilege node['win11STIG']['stigrule_253479']['Setting']['Access_Credential_Manager_as_a_trusted_caller_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253480','Manage')
  windows_user_privilege 'Access_this_computer_from_the_network_253480' do
    privilege node['win11STIG']['stigrule_253480']['Setting']['Access_this_computer_from_the_network_Privilege']
    users node['win11STIG']['stigrule_253480']['Setting']['Access_this_computer_from_the_network_Users']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253481','Manage')
  windows_user_privilege 'Act_as_part_of_the_operating_system_253481' do
    privilege node['win11STIG']['stigrule_253481']['Setting']['Act_as_part_of_the_operating_system_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253482','Manage')
  windows_user_privilege 'Allow_log_on_locally_253482' do
    privilege node['win11STIG']['stigrule_253482']['Setting']['Allow_log_on_locally_Privilege']
    users node['win11STIG']['stigrule_253482']['Setting']['Allow_log_on_locally_Users']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253483','Manage')
  windows_user_privilege 'Back_up_files_and_directories_253483' do
    privilege node['win11STIG']['stigrule_253483']['Setting']['Back_up_files_and_directories_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253484','Manage')
  windows_user_privilege 'Change_the_system_time_253484' do
    privilege node['win11STIG']['stigrule_253484']['Setting']['Change_the_system_time_Privilege']
    users node['win11STIG']['stigrule_253484']['Setting']['Change_the_system_time_Users']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253485','Manage')
  windows_user_privilege 'Create_a_pagefile_253485' do
    privilege node['win11STIG']['stigrule_253485']['Setting']['Create_a_pagefile_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253486','Manage')
  windows_user_privilege 'Create_a_token_object_253486' do
    privilege node['win11STIG']['stigrule_253486']['Setting']['Create_a_token_object_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253487','Manage')
  windows_user_privilege 'Create_global_objects_253487' do
    privilege node['win11STIG']['stigrule_253487']['Setting']['Create_global_objects_Privilege']
    users node['win11STIG']['stigrule_253487']['Setting']['Create_global_objects_Users']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253488','Manage')
  windows_user_privilege 'Create_permanent_shared_objects_253488' do
    privilege node['win11STIG']['stigrule_253488']['Setting']['Create_permanent_shared_objects_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253489','Manage')
  windows_user_privilege 'Create_symbolic_links_253489' do
    privilege node['win11STIG']['stigrule_253489']['Setting']['Create_symbolic_links_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253490','Manage')
  windows_user_privilege 'Debug_programs_253490' do
    privilege node['win11STIG']['stigrule_253490']['Setting']['Debug_programs_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253496','Manage')
  windows_user_privilege 'Enable_computer_and_user_accounts_to_be_trusted_for_delegation_253496' do
    privilege node['win11STIG']['stigrule_253496']['Setting']['Enable_computer_and_user_accounts_to_be_trusted_for_delegation_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253497','Manage')
  windows_user_privilege 'Force_shutdown_from_a_remote_system_253497' do
    privilege node['win11STIG']['stigrule_253497']['Setting']['Force_shutdown_from_a_remote_system_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253498','Manage')
  windows_user_privilege 'Impersonate_a_client_after_authentication_253498' do
    privilege node['win11STIG']['stigrule_253498']['Setting']['Impersonate_a_client_after_authentication_Privilege']
    users node['win11STIG']['stigrule_253498']['Setting']['Impersonate_a_client_after_authentication_Users']
    action :set
  end
end
if node.exist?('win11STIG','stigrule_253499','Manage')
  windows_user_privilege 'Load_and_unload_device_drivers_253499' do
    privilege node['win11STIG']['stigrule_253499']['Setting']['Load_and_unload_device_drivers_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253500','Manage')
  windows_user_privilege 'Lock_pages_in_memory_253500' do
    privilege node['win11STIG']['stigrule_253500']['Setting']['Lock_pages_in_memory_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253501','Manage')
  windows_user_privilege 'Manage_auditing_and_security_log_253501' do
    privilege node['win11STIG']['stigrule_253501']['Setting']['Manage_auditing_and_security_log_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253502','Manage')
  windows_user_privilege 'Modify_firmware_environment_values_253502' do
    privilege node['win11STIG']['stigrule_253502']['Setting']['Modify_firmware_environment_values_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253503','Manage')
  windows_user_privilege 'Perform_volume_maintenance_tasks_253503' do
    privilege node['win11STIG']['stigrule_253503']['Setting']['Perform_volume_maintenance_tasks_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253504','Manage')
  windows_user_privilege 'Profile_single_process_253504' do
    privilege node['win11STIG']['stigrule_253504']['Setting']['Profile_single_process_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253505','Manage')
  windows_user_privilege 'Restore_files_and_directories_253505' do
    privilege node['win11STIG']['stigrule_253505']['Setting']['Restore_files_and_directories_Privilege']
    action :clear
  end
end
if node.exist?('win11STIG','stigrule_253506','Manage')
  windows_user_privilege 'Take_ownership_of_files_or_other_objects_253506' do
    privilege node['win11STIG']['stigrule_253506']['Setting']['Take_ownership_of_files_or_other_objects_Privilege']
    action :clear
  end
end
if node['win11STIG']['XCCDF_result']['Manage']
  cookbook_file "#{Chef::Config[:file_cache_path]}/stig_xml.rb" do
    source 'stig_xml.rb'
  end
  cookbook_file "#{Chef::Config[:file_cache_path]}/U_MS_Windows_11_STIG_V1R3_Manual-xccdf.xml" do
    source 'U_MS_Windows_11_STIG_V1R3_Manual-xccdf.xml'
  end
  chef_handler 'Chef::Handler::StigXml' do
    source "#{Chef::Config[:file_cache_path]}/stig_xml.rb"
    arguments :stigName => 'U_MS_Windows_11_STIG_V1R3_Manual-xccdf.xml'
  end
end